#
# spec file for package kdebase3 (Version 3.2.1)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# neededforbuild  alsa alsa-devel audiofile cups-devel cups-libs cyrus-sasl2 cyrus-sasl2-devel db-devel des doxygen glib2 glib2-devel graphviz heimdal-devel kde3-devel-packages kdelibs3-devel-doc libart_lgpl libart_lgpl-devel libidn-devel libogg libogg-devel libraw1394 libraw1394-devel libsmbclient3 libvorbis libvorbis-devel mad mad-devel openldap2 openldap2-client openldap2-devel openmotif openmotif-devel openslp openslp-devel openssh openssl openssl-devel pam-devel pcre pcsc-lite pkgconfig qt3-devel-doc samba-client sensors utempter xf86

BuildRequires:  aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel XFree86 XFree86-Mesa XFree86-Mesa-devel XFree86-devel XFree86-libs alsa alsa-devel arts arts-devel audiofile autoconf automake binutils cups-devel cups-libs cyrus-sasl-devel db-devel doxygen e2fsprogs-devel expat fam fam-devel fontconfig fontconfig-devel freeglut freeglut-devel freetype2 freetype2-devel gcc gcc-c++ gdbm gettext glib2 glib2-devel gnome-filesystem graphviz heimdal-devel heimdal-lib kdelibs3 kdelibs3-devel kdelibs3-devel-doc libart_lgpl libart_lgpl-devel libidn libidn-devel libjpeg liblcms liblcms-devel libmng libmng-devel libogg libogg-devel libpng libpng-devel libraw1394 libraw1394-devel libsmbclient libsmbclient-devel libstdc++-devel libtiff libtool libvorbis libvorbis-devel libxml2 libxml2-devel libxslt libxslt-devel mad mad-devel openldap2 openldap2-devel openmotif openmotif-devel openmotif-libs openslp openslp-devel openssh openssl-devel pam-devel pcre pcre-devel pcsc-lite perl pkgconfig qt3 qt3-devel qt3-devel-doc rpm samba-client sensors update-desktop-files utempter

Name:           kdebase3
%define qt_path    /usr/lib/qt3
%define kde_path   /opt/kde3
Provides:       windowmanager kfontinst kio_fish kdebase3-konqueror kdialog
Obsoletes:      kfontinst kio_fish kdebase3-konqueror kdialog
Requires:       kdebase3-ksysguardd
Requires:       kdelibs3 >= %( echo `rpm -q --queryformat '%{VERSION}' kdelibs3`)
Conflicts:      kdebase3-SuSE <= 9.0
PreReq:         /bin/sh fileutils permissions
License:        GPL
Group:          System/GUI/KDE
Summary:        The KDE core components
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Url:            http://www.kde.org/
Version:        3.2.1
Release:        68.53
Source0:        kdebase-%{version}.tar.bz2
Source1:        updatedialog.tar.bz2
Source2:        startkde.lib
Source3:        startkde
Source4:        kdebase3.fillup
Source5:        kdmrc
Source6:        ksysguardd.init
# we append this file for older dist verions
Source8:        mp3-info.tar.bz2
Source9:        wizard_small.png
# kicker gets messed up, if it got deinstalled
Source11:       kickerrc
# from HEAD/3.2:
Source12:       console8x16.pcf.gz
Source13:       fileshareset2.tar.bz2
Source14:       kdm-pam-np
Source15:       ksysguardd.reg
Patch0:         3_2_BRANCH.diff
Patch1:         disable-kcm-modules.diff
Patch2:         disable-kfont.diff
Patch4:         FIXME.diff
Patch6:         ksysguardd-openslp.diff
Patch8:         konsole_keytab.diff
Patch9:         kdm-path.diff
Patch10:        kdesud-security.diff
Patch11:        kdesktop-kcm-modules.diff
Patch13:        kio_drives_eject.diff
# this one is a bit unclean and should be made via kdebase3-SuSE, 
# but we need to fix the sidebar first to make this possible
Patch14:        use_drives.desktop
Patch15:        artwork.diff
Patch16:        kfontinst.diff
Patch17:        nsplugin-Preference.diff
Patch18:        nsplugin-search-path.diff
Patch39:        kdesktop_icons.diff
Patch40:        suse_default_move.diff
Patch42:        kicker-HOME.diff
Patch43:        kappfinder-auto.diff
Patch44:        clock-use-yast.diff
Patch45:        klipperrc.diff
Patch49:        kdm-codec.diff
Patch51:        kcontrol.diff
Patch52:        kdesu-export-env.diff
Patch54:        kdm-fix-gcc295.diff
Patch55:        kdm-gnome.diff
Patch56:        fix-ia64-build.diff
Patch57:        konq-init-XThreads.diff
Patch59:        use-own-libsmbclient.diff
Patch60:        short-menus.diff
Patch61:        menu-icon-size.diff
Patch62:        fix-kcontrol-yast.diff
Patch63:        quick_browser_menu.diff
Patch64:        kicker-xinerama.diff
Patch65:        kio_nfs.diff
Patch66:        default_fonts.diff
Patch67:        konsole_paste.diff
Patch68:        remove-kdesktop-help-entry.diff
Patch70:        kdm-hide-menu-button.diff
Patch71:        kdm-mark_autologin.diff 
Patch72:        kdm-random-faces.diff 
Patch73:        kdm-switch-users.diff
Patch74:        kdm-admin-mode.diff 
Patch75:        kdm-all-users-nopass.diff 
Patch76:        kdm-translations.diff
Patch77:        kdm-add-menuicons.diff
Patch78:        kdm-wmaker.diff
Patch79:        kdm-64bitbe.patch
Patch80:        non-fast-malloc.diff
Patch81:        ksmserver-defaulttohalt.diff
Patch82:        fix-gtk-color-highlighting.diff
Patch89:        kwin_shadow-0.7.1-3.2.diff
Patch92:        konsole_always_use_xft.diff
Patch94:        mach_blass.diff
Patch95:        use-subfs.diff
Patch99:        xcursor.diff
Patch100:       fix-kicker-clock-timezone-change.diff
Patch101:       kmenuedit_order.patch
Patch102:       fix-sync-shortcuts-kcm_keys-with-kmenuedit.diff
Patch103:       fix-kio-fish.diff
Patch104:       fix-scrollkeeper.diff
Patch105:       fix-kio-fish-part2.diff
Patch106:       kdebase3-NLD-help-content.patch
Patch107:       khelpcenter-gnome-support-part2.diff
Patch109:       kdebase3-NLD-help-content-part4.patch
Patch200:       3_2_BRANCH-fix-kicker-position.diff
Patch201:       3_2_BRANCH-disable-gestures-by-default.diff
Patch202:       3_2_BRANCH-klipper-ctrl-alt-r-fix.diff
Patch203:       3_2_BRANCH-fix-focus-handling-shift-MMB.diff
Patch204:       3_2_BRANCH-fix-electric-borders.diff
Patch205:       3_2_BRANCH-fix-self-managed-windows-minimize.diff
Patch206:       3_2_BRANCH-fix-LTR-with-kicker.diff
Patch207:       3_2_BRANCH-fix-kmenuedit-no-emtpy-move.diff
Patch209:       3_2_BRANCH-fix-kmenuedit-shortcut-removal.diff
Patch210:       3_2_BRANCH-fix-finnish-thousand-seperator.diff
Patch211:       3_2_BRANCH-kio_smb-improved-error-handling.diff
Patch212:       3_2_BRANCH-fix-url-open-failure.diff
Patch213:       3_2_BRANCH-fix-URL-history-in-konqueror.diff
Patch214:       3_2_BRANCH-fix-crash-kfontinst.diff
Patch215:       3_2_BRANCH-fix-kmenuedit-utf8.diff
Patch216:       3_2_BRANCH-invalid_backtraces.patch
Patch217:       3_2_BRANCH-fix-moving-windows-with-WIN-key.diff
Patch218:       3_2_BRANCH-fix-fltk-window-positioning.diff
Patch219:       3_2_BRANCH-konsole_exit_crashes.patch
Patch220:       3_2_BRANCH-security-kfmclient-update.diff
Patch221:       post-3.2.3-kdebase-htmlframes.patch
Patch222:       3_2_BRANCH-fix-kcontrol-memory-view.diff
Patch223:       fix-nsplugin-real-support.diff
Patch224:       post-3.2.3-kdebase-smb.diff
Patch225:       post-3.2.3-kdebase-htmlframes2.patch
Patch226:       kdesu-no-session-connection-681.patch
Patch227:       use_kerberos_smb.diff
Patch228:       kdm-loginchange.diff
Patch229:       kdm-correct-focus.diff
Patch230:       post-3.2.0-kdebase-kdm.diff
%if %suse_version > 730
Provides:       kdebase
%endif

%description
This package contains kdebase, one of the basic packages of the K
Desktop Environment. It contains among others kwin (the KDE window
manager), konqueror (the KDE web browser), and KControl (the
configuration program)

This package is needed if you want to use the KDE Desktop. It is not
needed if you only want to start some KDE applications.



Authors:
--------
    The KDE Team <kde@kde.org>

%package devel
Requires:       kdelibs3-devel kdebase3 = %version
Summary:        KDE Base Package: Base, Build Environment
Group:          System/GUI/KDE
%if %suse_version > 730
Provides:       kdebase-devel
%endif

%description devel
This package contains KDEbase, one of the basic packages of the K
Desktop Environment. It contains, among other things, KWIN, the KDE
window manager; Konqueror, the KDE web and file browser; and KControl,
the KDE configuration program.

This package is not needed if you do not want to compile high level KDE
applications.



Authors:
--------
    The KDE Team <kde@kde.org>

%package kdm
# usesubdirs kdm
Summary:        The KDE login and display manager
Provides:       kdebase3:/opt/kde3/bin/kdm
%if %suse_version > 730
Provides:       kdebase:/opt/kde2/bin/kdm
%endif
Group:          System/GUI/KDE
PreReq:         %fillup_prereq

%description kdm
This package contains kdm, the login and session manager for KDE.



Authors:
--------
    The KDE Team <kde@kde.org>

%package samba
# usesubdirs kioslave/smb kcontrol/samba
Summary:        KDE Base package: Windows Connection Module
Group:          System/GUI/KDE
%if %suse_version < 821
Requires:       smbclnt
%endif

%description samba
This package provides the "smb://" protocol, to connect to and from
Windows and Samba shares.



Authors:
--------
    The KDE Team <kde@kde.org>

%package extra
# usesubdirs kappfinder kpersonalizer kcontrol/thememgr
Summary:        KDE Base package: Extra Applications
Group:          System/GUI/KDE

%description extra
This package contains applications which are usually not needed on SuSE
Linux.

- kappfinder - adds menu entries for applications

- kpersonalizer - sets different settings



Authors:
--------
    The KDE Team <kde@kde.org>

%ifarch x86_64 ppc64 s390x ia64
%package nsplugin64
Conflicts:      kdebase3-nsplugin
%else
%package nsplugin
Conflicts:      kdebase3-nsplugin64
%if %suse_version > 730
Provides:       kdebase-nsplugin
%endif
%endif
# usesubdirs nsplugins
Requires:       kdebase3
Summary:        Netscape plugin support for KDE
Group:          System/GUI/KDE
%ifarch x86_64 ppc64 s390x ia64

%description nsplugin64
This package contains support for Netscape plug-ins in konqueror. You
have to enable JavaScript for this.



Authors:
--------
    The KDE Team <kde@kde.org>

%else

%description nsplugin
This package contains support for Netscape plug-ins in konqueror. You
have to enable JavaScript for this.



Authors:
--------
    The KDE Team <kde@kde.org>

%endif
%package ksysguardd
Provides:       kdebase-ksysguardd
Obsoletes:      kdebase-ksysguardd
PreReq:         %insserv_prereq %fillup_prereq aaa_base
Summary:        KDE base package: ksysguard daemon
Group:          System/GUI/KDE

%description ksysguardd
This package contains the ksysguard daemon. It is needed for ksysguard.

This package can be installed on servers without any other KDE packages
to guard the system from remote computers.



Authors:
--------
    The KDE Team <kde@kde.org>

%define sysconfdir /etc
%prep
%setup -q -b 1 -b 8 -b 13 -n kdebase-%{version}
%patch0
%patch200
%patch201
%patch202
%patch203
%patch204
%patch205
%patch206
%patch207
%patch209
%patch210
%patch211
%patch212
%patch213
%patch214
%patch215
%patch216
%patch217
%patch218
%patch219
%patch220
%patch221
%patch222
%patch223
%patch224
%patch225
%patch226 -p1
%patch227
%patch228
%patch229
%patch1
%ifarch x86_64
%if %suse_version == 900
%patch2
%endif
%endif
%patch4
%patch6
%patch8
%patch9
%patch10
%patch11
%patch13
%patch15
%patch16
%patch17
%patch18
%patch39
%patch40
%patch42
%patch43
%patch44
%patch45
%patch49
%patch51
%patch52
%patch55
%patch63
%patch60
%patch61
%patch64
%patch65
%patch66
%patch67
%patch68
%patch94
%patch82
%patch100
%patch101
%patch102
%patch103
%patch104
%patch105
%patch106 -p1
%patch107
%patch109
%if %suse_version > 900
# all the kdm changes
%patch70
%patch71
%patch72
%patch73
%patch74
%patch75
%patch76
%patch77
%patch78
%patch79
%patch81
%patch95
# xcursor
%patch99
# drives:/ usage
%patch14
%patch57
%endif
%if %suse_version > 810
%patch92
%endif
%ifnarch %ix86 x86_64
%patch80
%endif
%if %suse_version == 900
%patch59
%endif
%if %suse_version > 820
%patch89
%patch62
%endif
%patch54
%ifarch ia64
%patch56
%endif
%patch230
. /etc/opt/kde3/common_options
cd ../updatedialog
update_admin
cd ../kdebase-%{version}
update_admin

%build
. /etc/opt/kde3/common_options
DEBUG="--disable-debug"
FINAL="--enable-final"
PARANOIA=""
 
%ifnarch s390
PARANOIA="--with-cdparanoia"
%endif
%if %suse_version > 710
  LDAP="--with-ldap"
  MOTIF_INCLUDE="/usr/X11R6/include"
%else
  LDAP="--without-ldap"
  MOTIF_INCLUDE="/usr/X11R6/LessTif/Motif1.2/include"
%endif
X_SERVER=/usr/X11R6/bin/X RUN_KAPPFINDER=no \
./configure \
  $configkde \
  $PARANOIA \
  $LDAP \
  $FLAGS \
  $XINERAMA \
  --with-motif-libraries=/usr/X11R6/%{_lib}/ \
  --with-motif-includes=$MOTIF_INCLUDE \
  --with-samba-libs \
  --with-pam=xdm \
  --with-kdm-xconsole \
  --with-kdm-pam=xdm \
  --with-kcp-pam=xdm \
  --with-kss-pam=xdm 
  make
cd ../updatedialog
  ./configure $configkde
  make
cd ../fileshareset2
  ./configure --prefix=/opt/kde3/
  cd src
  make

%install
. /etc/opt/kde3/common_options
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT $INSTALL_TARGET
install -m 0644 %SOURCE12 $RPM_BUILD_ROOT/opt/kde3/share/fonts/
install -D -m 0644 %SOURCE14 $RPM_BUILD_ROOT/etc/pam.d/xdm-np
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/bin \
         ${RPM_BUILD_ROOT}/usr/bin \
         ${RPM_BUILD_ROOT}/usr/sbin \
         ${RPM_BUILD_ROOT}/var/run/xdmctl
%if %suse_version < 901
  install -m 0644 %SOURCE11 $RPM_BUILD_ROOT/opt/kde3/share/config/
%endif
%if %suse_version > 730
  ln -fs //opt/kde3//bin/startkde $RPM_BUILD_ROOT/usr/X11R6/bin/kde
%else
  ln -fs //opt/kde3//bin/startkde $RPM_BUILD_ROOT/usr/X11R6/bin/kde3
%endif
ln -sf rcxdm ${RPM_BUILD_ROOT}/usr/sbin/rckdm
mv ${RPM_BUILD_ROOT}/opt/kde3/bin/ksysguardd ${RPM_BUILD_ROOT}/usr/bin/ksysguardd
ln -sf /usr/bin/ksysguardd ${RPM_BUILD_ROOT}/opt/kde3/bin/ksysguardd
%if %suse_version < 821
install -m 0644 %SOURCE2 "${RPM_BUILD_ROOT}"/opt/kde3/bin/startkde.lib
%endif
install -m 0755 %SOURCE3 "${RPM_BUILD_ROOT}"/opt/kde3/bin/startkde
mkdir -p "${RPM_BUILD_ROOT}"/etc/security/
echo "RESTRICT=yes" > "${RPM_BUILD_ROOT}"/etc/security/fileshare.conf
#
# install pixmaps and configuration
#
mkdir -p "${RPM_BUILD_ROOT}"/etc/opt/kde3/share/config/kdm
mkdir -p "${RPM_BUILD_ROOT}"/opt/kde3/share/UnitedLinux/addon-scripts/
#rm -f "${RPM_BUILD_ROOT}"/opt/kde3/share/config/kdm/{backgroundrc,kdmrc}
install -m 0644 %{SOURCE5} \
                "${RPM_BUILD_ROOT}"/opt/kde3/share/config/kdm
ln -s /etc/X11/xdm/Xservers "${RPM_BUILD_ROOT}"/etc/opt/kde3/share/config/kdm/Xservers
mkdir -p "${RPM_BUILD_ROOT}"/var/adm/fillup-templates
mkdir -p "${RPM_BUILD_ROOT}"/etc/init.d/
install -m 0644 %SOURCE9 "${RPM_BUILD_ROOT}"/opt/kde3/share/apps/kdewizard/pics/wizard_small.png
install -m 0744 %SOURCE6            $RPM_BUILD_ROOT/etc/init.d/ksysguardd
mkdir -p $RPM_BUILD_ROOT/opt/kde3/share/apps/kdm/faces/
ln -s ../pics/users/root1.png $RPM_BUILD_ROOT/opt/kde3/share/apps/kdm/faces/root.face.icon
ln -s ../pics/users/default2.png $RPM_BUILD_ROOT/opt/kde3/share/apps/kdm/faces/.default.face.icon
ln -sf /etc/init.d/ksysguardd  $RPM_BUILD_ROOT/usr/sbin/rcksysguardd
install -d $RPM_BUILD_ROOT/etc/slp.reg.d/
install %SOURCE15 $RPM_BUILD_ROOT/etc/slp.reg.d/
# even if we use smbro
install -D -m 644 kioslave/smb/smb-network.desktop $RPM_BUILD_ROOT/opt/kde3/share/apps/konqueror/dirtree/remote/smb-network.desktop
%if %suse_version > 900
# as lisa isn't started, lan:/ points to nirvana
rm $RPM_BUILD_ROOT/opt/kde3/share/apps/konqsidebartng/virtual_folders/services/lisa.desktop
# devices confuses the user with different entries than drives:/
rm $RPM_BUILD_ROOT/opt/kde3/share/apps/konqsidebartng/virtual_folders/services/devices.desktop
%endif
%find_lang switchuser
#
# delete unwanted/double files
#
rm "${RPM_BUILD_ROOT}"//opt/kde3//share/apps/kdesktop/DesktopLinks/Home.desktop
#
# create kdebase API documentation
#
export PATH=/opt/kde3/bin/:$PATH
export KDEDOCDIR=/usr/share/doc/KDE3-API/
if [ -x //opt/kde3//bin/makekdedoc -a -x //opt/kde3//bin/meinproc ]; then
     makekdedoc --libdir=$KDEDOCDIR/kdoc-reference/ \
                --kdocopt='--skip-internal --compress' \
                --url=$KDEDOCDIR \
                --outputdir=${RPM_BUILD_ROOT}/$KDEDOCDIR
     # bug in makekdedoc ... to fix ...
     mkdir -p ${RPM_BUILD_ROOT}/$KDEDOCDIR/kdoc-reference
     mv $KDEDOCDIR/kdoc-reference/libkonq* ${RPM_BUILD_ROOT}/$KDEDOCDIR/kdoc-reference/
     mv $KDEDOCDIR/kdoc-reference/kcontrol* ${RPM_BUILD_ROOT}/$KDEDOCDIR/kdoc-reference/
     echo "KDE Control Center module interface."   > ${RPM_BUILD_ROOT}/${KDEDOCDIR}/kcontrol/description.SuSEconfig
     echo "kdebase"                                > ${RPM_BUILD_ROOT}/${KDEDOCDIR}/kcontrol/package.SuSEconfig
     echo "Konqueror interface."                   > ${RPM_BUILD_ROOT}/${KDEDOCDIR}/libkonq/description.SuSEconfig
     echo "kdebase"                                > ${RPM_BUILD_ROOT}/${KDEDOCDIR}/libkonq/package.SuSEconfig
     echo "%doc $KDEDOCDIR/libkonq" > ${RPM_BUILD_DIR}/kdebase.doc.list
     echo "%doc $KDEDOCDIR/kcontrol">>${RPM_BUILD_DIR}/kdebase.doc.list
     echo "%doc $KDEDOCDIR/kdoc-reference/*">>${RPM_BUILD_DIR}/kdebase.doc.list
else
     touch ${RPM_BUILD_DIR}/kdebase.doc.list
fi
cd ../fileshareset2/src
rm -f $RPM_BUILD_ROOT/opt/kde3//bin/fileshare{set,list}
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/etc/permissions.d/
echo "/opt/kde3/bin/fileshareset root.root 4755"    > $RPM_BUILD_ROOT/etc/permissions.d/kdebase3
echo "/usr/X11R6/bin/setXF86Config root.root 4755" >> $RPM_BUILD_ROOT/etc/permissions.d/kdebase3
chmod 0755 $RPM_BUILD_ROOT/opt/kde3/bin/fileshareset
cd ..
cd ../updatedialog
make DESTDIR=$RPM_BUILD_ROOT $INSTALL_TARGET
install -d -m 0755 $RPM_BUILD_ROOT/opt/kde3/share/apps/updatedialog/
install -m 0644 updatedialog/*.qm \
         $RPM_BUILD_ROOT/opt/kde3/share/apps/updatedialog/
FILLUP_DIR=$RPM_BUILD_ROOT/var/adm/fillup-templates
mkdir -p $FILLUP_DIR
install %SOURCE4 $FILLUP_DIR/sysconfig.windowmanager-kdebase3
#
# solve file conflicts with theme packages ...
#
mv $RPM_BUILD_ROOT/opt/kde3/share/apps/ksplash/pics $RPM_BUILD_ROOT/opt/kde3/share/apps/ksplash/pics-default
ln -s pics-default $RPM_BUILD_ROOT/opt/kde3/share/apps/ksplash/pics
chmod 0755 $RPM_BUILD_ROOT/opt/kde3/bin/fileshareset
rm $RPM_BUILD_ROOT/opt/kde3/share/applnk/KControl.desktop
%suse_update_desktop_file kate             TextEditor
%suse_update_desktop_file -u kwrite        TextEditor
%suse_update_desktop_file Help             Documentation Viewer
%suse_update_desktop_file Home             System FileManager core
%suse_update_desktop_file KControl         X-SuSE-core
%suse_update_desktop_file konqbrowser      WebBrowser
%suse_update_desktop_file Kfind            System Filesystem core
%suse_update_desktop_file printmgr         PrintingUtility
%suse_update_desktop_file kinfocenter      System Monitor
%suse_update_desktop_file kmenuedit        Core-Configuration
%suse_update_desktop_file konsole          TerminalEmulator
%suse_update_desktop_file konsolesu        TerminalEmulator
%suse_update_desktop_file ksysguard        System Monitor
%suse_update_desktop_file -r klipper          System TrayIcon
%suse_update_desktop_file kpager           Utility  DesktopUtility
%suse_update_desktop_file ktip          -u System Utility
%suse_update_desktop_file konquerorsu      System FileManager
%suse_update_desktop_file kdeprintfax      PrintingUtility
%suse_update_desktop_file kjobviewer       PrintingUtility
%suse_update_desktop_file printers         PrintingUtility
%suse_update_desktop_file kpersonalizer    DesktopUtility
%suse_update_desktop_file kappfinder       DesktopUtility
%suse_update_desktop_file kcmkicker        X-KDE-settings-desktop
%if %suse_version > 810
%suse_update_desktop_file -r krandrtray    Applet X-KDE-settings-desktop
%endif
for i in $RPM_BUILD_ROOT/opt/kde3/share/applnk/System/ScreenSavers/*.desktop ; do
  sed -e '/^\[Desktop Entry\]/a\
Categories=Screensaver;' $i > ${i}_
  mv ${i}_ $i
done
rm -f $RPM_BUILD_ROOT/opt/kde3/share/config/kdm/README

%pre
# we have this as link
if test -e opt/kde3/share/apps/ksplash/pics -a ! -L opt/kde3/share/apps/ksplash/pics ;
 then
  if test -e opt/kde3/share/apps/ksplash/pics-default; then
     rm -rf opt/kde3/share/apps/ksplash/pics
  else
     mv opt/kde3/share/apps/ksplash/pics opt/kde3/share/apps/ksplash/pics-default
  fi
fi

%post
%run_ldconfig
%run_permissions
%if %suse_version > 800

%post kdm
%endif
%{fillup_only -an windowmanager-kdebase3}
cd /etc/opt/kde3/share/config/kdm
if test -f Xservers -a ! -L Xservers; then
 mv Xservers Xservers.oldconfig
 ln -s /etc/X11/xdm/Xservers Xservers
fi
%if %suse_version > 800

%postun kdm
%else

%postun
%endif
%insserv_cleanup

%post ksysguardd
%if %suse_version > 730
%{fillup_and_insserv -sn kdebase3-ksysguardd ksysguardd RUN_KSYSGUARDD}
%else
%{fillup_and_insserv -s ksysguardd RUN_KSYSGUARDD}
%endif

%verifyscript
%verify_permissions -e /opt/kde3/bin/kcheckpass
%verify_permissions -e /opt/kde3/bin/kdesud
%verify_permissions -e /opt/kde3/bin/khc_indexbuilder

%postun ksysguardd
%if %suse_version > 820
%restart_on_update ksysguardd
%endif
%insserv_cleanup

%preun ksysguardd
%if %suse_version > 820
%stop_on_removal ksysguardd
%endif

%clean
rm -rf $RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README README.pam ../lame.spec ../README.mp3
%dir /opt/kde3/share/UnitedLinux
%dir /opt/kde3/share/UnitedLinux/addon-scripts/
%dir /opt/kde3/share/icons/hicolor/16x16
%dir /opt/kde3/share/icons/hicolor/32x32
%dir /opt/kde3/%_lib/kconf_update_bin
/etc/xdg/menus/*.menu
/etc/xdg/menus/applications-merged
/usr/X11R6/bin/kde*
/var/adm/fillup-templates/sysconfig.windowmanager-kdebase3
/etc/permissions.d/kdebase3
%verify(not mode) %attr(4755,root,shadow) /opt/kde3/bin/kcheckpass
%verify(not mode) %attr(2755,root,nogroup) /opt/kde3/bin/kdesud
%if %suse_version > 810
%verify(not mode) %attr(0755,root,man) /opt/kde3/bin/khc_indexbuilder
%endif
/opt/kde3/bin/appletproxy
/opt/kde3/bin/drkonqi
/opt/kde3/bin/extensionproxy
/opt/kde3/bin/kaccess
/opt/kde3/bin/kate
/opt/kde3/bin/kblankscrn.kss
/opt/kde3/bin/kcminit
/opt/kde3/bin/kcmshell
/opt/kde3/bin/kcontrol
/opt/kde3/bin/kdcop
/opt/kde3/bin/kdebugdialog
/opt/kde3/bin/kdeeject
/opt/kde3/bin/kdeprintfax
/opt/kde3/bin/kdesktop
/opt/kde3/bin/kdesktop_lock
/opt/kde3/bin/kdesu
/opt/kde3/bin/keditfiletype
/opt/kde3/bin/kfind
/opt/kde3/bin/khelpcenter
/opt/kde3/bin/khotkeys
/opt/kde3/bin/kicker
/opt/kde3/bin/kjobviewer
/opt/kde3/bin/klipper
/opt/kde3/bin/kmenuedit
/opt/kde3/bin/konsole*
/opt/kde3/bin/kpager
/opt/kde3/bin/kpm
/opt/kde3/bin/kprinter
/opt/kde3/bin/krandom.kss
/opt/kde3/bin/krdb
/opt/kde3/bin/kreadconfig
/opt/kde3/bin/ks*
/opt/kde3/bin/ktip
/opt/kde3/bin/kw*
/opt/kde3/bin/kxkb
/opt/kde3/bin/kdialog
/opt/kde3/bin/kinfocenter
/opt/kde3/bin/kio_devices_mounthelper
/opt/kde3/bin/klocaldomainurifilterhelper
/opt/kde3/bin/default_desktop_aligning
/opt/kde3/bin/startkde
%if %suse_version < 821
/opt/kde3/bin/startkde.lib
%endif
/opt/kde3/bin/updatedialog
/opt/kde3/%_lib/kconf_update_bin/khotkeys_update
/opt/kde3/%_lib/kde3/c*
/opt/kde3/%_lib/kde3/dockbar_panelextension.*
/opt/kde3/%_lib/kde3/gsthumbnail.*
/opt/kde3/%_lib/kde3/htmlthumbnail.*
/opt/kde3/%_lib/kde3/imagethumbnail.*
/opt/kde3/%_lib/kde3/kasbar_panelextension.*
/opt/kde3/%_lib/kde3/kcm_a*
/opt/kde3/%_lib/kde3/kcm_b*
/opt/kde3/%_lib/kde3/kcm_c*
/opt/kde3/%_lib/kde3/kcm_d*
/opt/kde3/%_lib/kde3/kcm_e*
/opt/kde3/%_lib/kde3/kcm_f*
/opt/kde3/%_lib/kde3/kcm_h*
/opt/kde3/%_lib/kde3/kcm_i*
/opt/kde3/%_lib/kde3/kcm_k*
/opt/kde3/%_lib/kde3/kcm_l*
/opt/kde3/%_lib/kde3/kcm_nic.*
/opt/kde3/%_lib/kde3/kcm_p*
/opt/kde3/%_lib/kde3/kcm_screensaver.*
/opt/kde3/%_lib/kde3/kcm_smserver.*
/opt/kde3/%_lib/kde3/kcm_spellchecking.*
/opt/kde3/%_lib/kde3/kcm_style.*
/opt/kde3/%_lib/kde3/kcm_taskbar.*
/opt/kde3/%_lib/kde3/kcm_usb.*
%if %suse_version > 810
/opt/kde3/%_lib/kde3/kded_konqy_preloader.*
/opt/kde3/share/services/kded/konqy_preloader.desktop
%endif
/opt/kde3/%_lib/kde3/khelpcenter.*
/opt/kde3/%_lib/kde3/kio_f*
/opt/kde3/%_lib/kde3/kio_i*
/opt/kde3/%_lib/kde3/kio_man.*
/opt/kde3/%_lib/kde3/kio_n*
/opt/kde3/%_lib/kde3/kio_p*
/opt/kde3/%_lib/kde3/kio_sftp.*
/opt/kde3/%_lib/kde3/kio_smtp.*
/opt/kde3/%_lib/kde3/kio_t*
/opt/kde3/%_lib/kde3/kcm_xinerama.*
/opt/kde3/%_lib/kde3/kwrite.*
/opt/kde3/%_lib/kde3/kwrited.*
/opt/kde3/%_lib/kde3/kxkb.*
/opt/kde3/%_lib/kde3/libkfindpart.*
/opt/kde3/%_lib/kde3/menu_panelapplet.*
/opt/kde3/%_lib/kde3/klipper_panelapplet.*
/opt/kde3/%_lib/kde3/kwin_*
/opt/kde3/%_lib/kde3/appletproxy.*
/opt/kde3/%_lib/kde3/devices_panelapplet.*
/opt/kde3/%_lib/kde3/djvuthumbnail.*
/opt/kde3/%_lib/kde3/extensionproxy.*
/opt/kde3/%_lib/kde3/kaccess.*
/opt/kde3/%_lib/kde3/kate.*
/opt/kde3/%_lib/kde3/katedefaultprojectplugin.*
/opt/kde3/%_lib/kde3/kcminit.*
/opt/kde3/%_lib/kde3/kcmshell.*
/opt/kde3/%_lib/kde3/kcm_nsplugins.*
/opt/kde3/%_lib/kde3/kcontrol.*
/opt/kde3/%_lib/kde3/kdesktop.*
/opt/kde3/%_lib/kde3/keditbookmarks.*
/opt/kde3/%_lib/kde3/kfmclient.*
/opt/kde3/%_lib/kde3/khotkeys.*
/opt/kde3/%_lib/kde3/kicker*
/opt/kde3/%_lib/kde3/kio_settings.*
/opt/kde3/%_lib/kde3/kjobviewer.*
/opt/kde3/%_lib/kde3/klipper.*
/opt/kde3/%_lib/kde3/kmenuedit.*
/opt/kde3/%_lib/kde3/konsole.*
/opt/kde3/%_lib/kde3/kprinter.*
/opt/kde3/%_lib/kde3/ksmserver.*
/opt/kde3/%_lib/kde3/ksplash*
/opt/kde3/%_lib/kde3/kwin.*
/opt/kde3/%_lib/kde3/kwin3_*
/opt/kde3/%_lib/kde3/launcher_panelapplet.*
/opt/kde3/%_lib/kde3/libkdeprint_part.*
/opt/kde3/%_lib/kde3/libkshorturifilter.*
/opt/kde3/%_lib/kde3/libkuri*
/opt/kde3/%_lib/kde3/libkonsolepart.*
/opt/kde3/%_lib/kde3/lockout_panelapplet.*
/opt/kde3/%_lib/kde3/minipager_panelapplet.*
/opt/kde3/%_lib/kde3/naughty_panelapplet.*
/opt/kde3/%_lib/kde3/run_panelapplet.*
/opt/kde3/%_lib/kde3/sys*
/opt/kde3/%_lib/kde3/t*
/opt/kde3/%_lib/kde3/kio_about.*
/opt/kde3/%_lib/kde3/kstyle_keramik_config.*
/opt/kde3/%_lib/kde3/kded_mountwatcher.*
/opt/kde3/%_lib/kde3/kio_devices.*
/opt/kde3/%_lib/kde3/kio_ldap.*
/opt/kde3/%_lib/kde3/kio_mac.*
/opt/kde3/%_lib/kde3/libkmanpart.*
/opt/kde3/%_lib/kde3/liblocaldomainurifilter.*
/opt/kde3/%_lib/kde3/picturethumbnail.*
/opt/kde3/%_lib/kde3/sidebar_panelextension.*
/opt/kde3/%_lib/libkateinterfaces.*
/opt/kde3/%_lib/libkickermain.*
/opt/kde3/%_lib/libksgrd.*
/opt/kde3/%_lib/libtask*
/opt/kde3/%_lib/libkateutils.*
/opt/kde3/%_lib/libkdecorations.*
/opt/kde3/%_lib/libkdeinit_*
/opt/kde3/%_lib/libksplashthemes.*
/opt/kde3/%_lib/kde3/libnsplugin.*
%if %suse_version > 800
/opt/kde3/%_lib/kde3/kcm_view1394.*
%endif
/opt/kde3/share/applications/kde/Help.desktop
/opt/kde3/share/applications/kde/Home.desktop
/opt/kde3/share/applications/kde/KControl.desktop
/opt/kde3/share/applications/kde/Kfind.desktop
/opt/kde3/share/applications/kde/arts.desktop
/opt/kde3/share/applications/kde/background.desktop
/opt/kde3/share/applications/kde/bell.desktop
/opt/kde3/share/applications/kde/cache.desktop
/opt/kde3/share/applications/kde/colors.desktop
/opt/kde3/share/applications/kde/componentchooser.desktop
/opt/kde3/share/applications/kde/cookies.desktop
/opt/kde3/share/applications/kde/crypto.desktop
/opt/kde3/share/applications/kde/desktop.desktop
/opt/kde3/share/applications/kde/desktopbehavior.desktop
/opt/kde3/share/applications/kde/desktoppath.desktop
/opt/kde3/share/applications/kde/devices.desktop
/opt/kde3/share/applications/kde/display.desktop
/opt/kde3/share/applications/kde/dma.desktop
/opt/kde3/share/applications/kde/ebrowsing.desktop
/opt/kde3/share/applications/kde/email.desktop
/opt/kde3/share/applications/kde/energy.desktop
/opt/kde3/share/applications/kde/filebrowser.desktop
/opt/kde3/share/applications/kde/fileshare.desktop
/opt/kde3/share/applications/kde/filetypes.desktop
/opt/kde3/share/applications/kde/fonts.desktop
/opt/kde3/share/applications/kde/icons.desktop
/opt/kde3/share/applications/kde/interrupts.desktop
/opt/kde3/share/applications/kde/ioports.desktop
/opt/kde3/share/applications/kde/ioslaveinfo.desktop
/opt/kde3/share/applications/kde/kate.desktop
/opt/kde3/share/applications/kde/kcmaccess.desktop
/opt/kde3/share/applications/kde/kcmcgi.desktop
/opt/kde3/share/applications/kde/kcmcss.desktop
/opt/kde3/share/applications/kde/kcmfontinst.desktop
/opt/kde3/share/applications/kde/kcmhistory.desktop
/opt/kde3/share/applications/kde/kcmkded.desktop
/opt/kde3/share/applications/kde/kcmkicker.desktop
/opt/kde3/share/applications/kde/kcmlaunch.desktop
/opt/kde3/share/applications/kde/kcmnotify.desktop
/opt/kde3/share/applications/kde/kcmperformance.desktop
/opt/kde3/share/applications/kde/kcmsmserver.desktop
/opt/kde3/share/applications/kde/kcmtaskbar.desktop
/opt/kde3/share/applications/kde/kcmusb.desktop
/opt/kde3/share/applications/kde/kcmview1394.desktop
/opt/kde3/share/applications/kde/kdeprintfax.desktop
/opt/kde3/share/applications/kde/kdm.desktop
/opt/kde3/share/applications/kde/keyboard.desktop
/opt/kde3/share/applications/kde/keyboard_layout.desktop
/opt/kde3/share/applications/kde/keys.desktop
/opt/kde3/share/applications/kde/kfmclient.desktop
/opt/kde3/share/applications/kde/kfmclient_dir.desktop
/opt/kde3/share/applications/kde/kfmclient_html.desktop
/opt/kde3/share/applications/kde/kfmclient_war.desktop
/opt/kde3/share/applications/kde/khotkeys.desktop
/opt/kde3/share/applications/kde/khtml_behavior.desktop
/opt/kde3/share/applications/kde/khtml_fonts.desktop
/opt/kde3/share/applications/kde/khtml_java_js.desktop
/opt/kde3/share/applications/kde/khtml_plugins.desktop
/opt/kde3/share/applications/kde/kjobviewer.desktop
/opt/kde3/share/applications/kde/klipper.desktop
/opt/kde3/share/applications/kde/kmenuedit.desktop
/opt/kde3/share/applications/kde/konqbrowser.desktop
/opt/kde3/share/applications/kde/konquerorsu.desktop
/opt/kde3/share/applications/kde/konsole.desktop
/opt/kde3/share/applications/kde/konsolesu.desktop
/opt/kde3/share/applications/kde/kpager.desktop
/opt/kde3/share/applications/kde/krandrtray.desktop
/opt/kde3/share/applications/kde/ksplashthememgr.desktop
/opt/kde3/share/applications/kde/ksysguard.desktop
/opt/kde3/share/applications/kde/ktip.desktop
/opt/kde3/share/applications/kde/kwindecoration.desktop
/opt/kde3/share/applications/kde/kwinoptions.desktop
/opt/kde3/share/applications/kde/kwrite.desktop
/opt/kde3/share/applications/kde/lanbrowser.desktop
/opt/kde3/share/applications/kde/language.desktop
/opt/kde3/share/applications/kde/memory.desktop
/opt/kde3/share/applications/kde/mouse.desktop
/opt/kde3/share/applications/kde/netpref.desktop
/opt/kde3/share/applications/kde/nic.desktop
/opt/kde3/share/applications/kde/panel.desktop
/opt/kde3/share/applications/kde/panel_appearance.desktop
/opt/kde3/share/applications/kde/partitions.desktop
/opt/kde3/share/applications/kde/passwords.desktop
/opt/kde3/share/applications/kde/pci.desktop
/opt/kde3/share/applications/kde/printers.desktop
/opt/kde3/share/applications/kde/privacy.desktop
/opt/kde3/share/applications/kde/processor.desktop
/opt/kde3/share/applications/kde/proxy.desktop
/opt/kde3/share/applications/kde/screensaver.desktop
/opt/kde3/share/applications/kde/scsi.desktop
/opt/kde3/share/applications/kde/smbstatus.desktop
/opt/kde3/share/applications/kde/sound.desktop
/opt/kde3/share/applications/kde/spellchecking.desktop
/opt/kde3/share/applications/kde/style.desktop
/opt/kde3/share/applications/kde/useragent.desktop
/opt/kde3/share/applications/kde/xserver.desktop
/opt/kde3/share/applnk/
/opt/kde3/share/apps/clockapplet
/opt/kde3/share/apps/drkonqi
/opt/kde3/share/apps/kate
/opt/kde3/share/apps/kw*
/opt/kde3/share/apps/naughtyapplet
/opt/kde3/share/apps/kc*
/opt/kde3/share/apps/kdcop
/opt/kde3/share/apps/kdeprint*
/opt/kde3/share/apps/kdesktop
/opt/kde3/share/apps/kdewizard
/opt/kde3/share/apps/kdisplay
/opt/kde3/share/apps/kfindpart
/opt/kde3/share/apps/khelpcenter
/opt/kde3/share/apps/kicker
/opt/kde3/share/apps/khotkeys
/opt/kde3/share/apps/kio*
/opt/kde3/share/apps/kjobviewer
/opt/kde3/share/apps/kmenuedit
/opt/kde3/share/apps/konsole
/opt/kde3/share/apps/ksmserver
/opt/kde3/share/apps/ksplash
/opt/kde3/share/apps/ksysguard
/opt/kde3/share/apps/updatedialog
/opt/kde3/share/apps/kinfocenter
/opt/kde3/share/autostart/*
%config(noreplace) /opt/kde3/share/config/kdesktop_custom_menu*
%config(noreplace) /opt/kde3/share/config/klipperrc
%config(noreplace) /opt/kde3/share/config/kwritedrc
%config(noreplace) /opt/kde3/share/config/kshorturifilterrc
%config(noreplace) /opt/kde3/share/config/kxkb_groups
%config(noreplace) /opt/kde3/share/config/mountwatcher.desktop
/opt/kde3/share/desktop-directories
%doc %lang(en) /opt/kde3/share/doc/HTML/en/k*
%dir /opt/kde3/share/fonts
/opt/kde3/share/fonts/9x15.pcf.gz
/opt/kde3/share/fonts/console8x16.pcf.gz
/opt/kde3/share/fonts/console8x8.pcf.gz
%verify(not md5 size mtime) /opt/kde3/share/fonts/fonts.dir
%dir /opt/kde3/share/fonts/override
%verify(not md5 size mtime) /opt/kde3/share/fonts/override/fonts.dir
%dir /opt/kde3/share/icons/*/*x*/*
/opt/kde3/share/icons/*/*x*/*/a*.png
/opt/kde3/share/icons/*/*x*/*/b*.png
/opt/kde3/share/icons/*/*x*/*/c*.png
/opt/kde3/share/icons/*/*x*/*/d*.png
/opt/kde3/share/icons/*/*x*/*/f*.png
/opt/kde3/share/icons/*/*x*/*/g*.png
/opt/kde3/share/icons/*/*x*/*/help_index.png
/opt/kde3/share/icons/*/*x*/*/hwinfo.png
/opt/kde3/share/icons/*/*x*/*/icons.png
/opt/kde3/share/icons/*/*x*/*/iconthemes.png
/opt/kde3/share/icons/*/*x*/*/input_devices_settings.png
/opt/kde3/share/icons/*/*x*/*/kate.png
/opt/kde3/share/icons/*/*x*/*/kcmkicker.png
/opt/kde3/share/icons/*/*x*/*/kcmsound.png
/opt/kde3/share/icons/*/*x*/*/kcmx.png
/opt/kde3/share/icons/*/*x*/*/kcmdf.png
/opt/kde3/share/icons/*/*x*/*/kdeprintfax.png
/opt/kde3/share/icons/*/*x*/*/kdisknav.png
/opt/kde3/share/icons/*/*x*/*/kdmconfig.png
/opt/kde3/share/icons/*/*x*/*/khotkeys.png
/opt/kde3/share/icons/*/*x*/*/key_bindings.png
/opt/kde3/share/icons/*/*x*/*/keyboard.png
/opt/kde3/share/icons/*/*x*/*/keyboard_layout.png
/opt/kde3/share/icons/*/*x*/*/kfind.png
/opt/kde3/share/icons/*/*x*/*/kfm_home.png
/opt/kde3/share/icons/*/*x*/*/khelpcenter.png
/opt/kde3/share/icons/*/*x*/*/kicker.png
/opt/kde3/share/icons/*/*x*/*/kjobviewer.png
/opt/kde3/share/icons/*/*x*/*/klipper.png
/opt/kde3/share/icons/*/*x*/*/kmenu.png
/opt/kde3/share/icons/*/*x*/*/kmenuedit.png
/opt/kde3/share/icons/*/*x*/*/knotify.png
/opt/kde3/share/icons/*/*x*/*/konsole.png
/opt/kde3/share/icons/*/*x*/*/kpager.png
/opt/kde3/share/icons/*/*x*/*/kscreensaver.png
/opt/kde3/share/icons/*/*x*/*/ksysguard.png
/opt/kde3/share/icons/*/*x*/*/ktip.png
/opt/kde3/share/icons/*/*x*/*/kvirc.png
/opt/kde3/share/icons/*/*x*/*/kwin.png
/opt/kde3/share/icons/*/*x*/*/kwrite.png
/opt/kde3/share/icons/*/*x*/*/l*.png
/opt/kde3/share/icons/*/*x*/*/m*.png
/opt/kde3/share/icons/*/*x*/*/ne*.png
/opt/kde3/share/icons/*/*x*/*/opera.png
/opt/kde3/share/icons/*/*x*/*/r*.png
/opt/kde3/share/icons/*/*x*/*/s*.png
/opt/kde3/share/icons/*/*x*/*/tux.png
/opt/kde3/share/icons/*/*x*/*/terminal.png
/opt/kde3/share/icons/*/*x*/*/usb.png
/opt/kde3/share/icons/*/*x*/*/vnc.png
/opt/kde3/share/icons/*/*x*/*/w*.png
/opt/kde3/share/icons/*/*x*/*/e*.png
/opt/kde3/share/icons/*/*x*/*/kcmdevices.png
/opt/kde3/share/icons/*/*x*/*/kcmdrkonqi.png
/opt/kde3/share/icons/*/*x*/*/kcmkwm.png
/opt/kde3/share/icons/*/*x*/*/kcmmemory.png
/opt/kde3/share/icons/*/*x*/*/kcmmidi.png
/opt/kde3/share/icons/*/*x*/*/kcmpartitions.png
/opt/kde3/share/icons/*/*x*/*/kcmpci.png
/opt/kde3/share/icons/*/*x*/*/kcmprocessor.png
/opt/kde3/share/icons/*/*x*/*/kcmscsi.png
/opt/kde3/share/icons/*/*x*/*/kcmsystem.png
/opt/kde3/share/icons/*/*x*/*/kcontrol.png
/opt/kde3/share/icons/*/*x*/*/kxkb.png
/opt/kde3/share/icons/*/*x*/*/p*.png
/opt/kde3/share/icons/*/*x*/*/qtella.png
/opt/kde3/share/icons/*/*x*/*/x*.png
%dir /opt/kde3/share/locale
/opt/kde3/share/locale/en_US
/opt/kde3/share/locale/l10n
/opt/kde3/share/mimelnk/application/x-konsole.desktop
/opt/kde3/share/mimelnk/application/x-ksysguard.desktop
/opt/kde3/share/mimelnk/kdedevice
/opt/kde3/share/mimelnk/print
/opt/kde3/share/services/f*.protocol
/opt/kde3/share/services/g*.protocol
/opt/kde3/share/services/htmlthumbnail.desktop
/opt/kde3/share/services/ima*.protocol
/opt/kde3/share/services/info.protocol
/opt/kde3/share/services/ka*.desktop
/opt/kde3/share/services/kdeprint_part.desktop
/opt/kde3/share/services/kfindpart.desktop
/opt/kde3/share/services/konsolepart.desktop
/opt/kde3/share/services/konsole-script.desktop
/opt/kde3/share/services/kshorturifilter.desktop
/opt/kde3/share/services/ku*.desktop
/opt/kde3/share/services/ldap.protocol
/opt/kde3/share/services/n*
/opt/kde3/share/services/man.protocol
/opt/kde3/share/services/p*
/opt/kde3/share/services/searchproviders
/opt/kde3/share/services/sftp.protocol
/opt/kde3/share/services/smtp*.protocol
/opt/kde3/share/services/t*
/opt/kde3/share/services/useragentstrings
/opt/kde3/share/services/gsthumbnail.desktop
/opt/kde3/share/services/imagethumbnail.desktop
/opt/kde3/share/services/kxkb.desktop
/opt/kde3/share/services/devices.protocol
/opt/kde3/share/services/kded/mountwatcher.desktop
/opt/kde3/share/services/kmanpart.desktop
/opt/kde3/share/services/localdomainurifilter.desktop
/opt/kde3/share/services/mac.protocol
/opt/kde3/share/services/zip.protocol
/opt/kde3/share/services/about.protocol
/opt/kde3/share/services/bzip.protocol
/opt/kde3/share/services/bzip2.protocol
/opt/kde3/share/services/kwrited.desktop
/opt/kde3/share/services/ar.protocol
/opt/kde3/share/services/djvuthumbnail.desktop
/opt/kde3/share/services/ksplash.desktop
/opt/kde3/share/services/ksplashdefault.desktop
/opt/kde3/share/services/ksplashredmond.desktop
/opt/kde3/share/services/ksplashstandard.desktop
/opt/kde3/share/services/settings.protocol
/opt/kde3/share/services/system.protocol
/opt/kde3/share/servicetypes/terminalemulator.desktop
/opt/kde3/share/servicetypes/kateplugin.desktop
/opt/kde3/share/servicetypes/findpart.desktop
/opt/kde3/share/servicetypes/searchprovider.desktop
/opt/kde3/share/servicetypes/thumbcreator.desktop
/opt/kde3/share/servicetypes/uasprovider.desktop
/opt/kde3/share/servicetypes/kateinitplugin.desktop
/opt/kde3/share/servicetypes/kateprojectplugin.desktop
/opt/kde3/share/servicetypes/ksplashplugins.desktop
/opt/kde3/share/sounds
/opt/kde3/share/templates
%dir /opt/kde3/share/wallpapers
/opt/kde3/share/wallpapers/All-Good-People-1.jpg
/opt/kde3/share/wallpapers/Blkmarble.jpg
/opt/kde3/share/wallpapers/C*.jpg
/opt/kde3/share/wallpapers/Foggy1.jpg
/opt/kde3/share/wallpapers/Marble01.jpg
/opt/kde3/share/wallpapers/No-Ones-Laughing-3.jpg
/opt/kde3/share/wallpapers/P*.jpg
/opt/kde3/share/wallpapers/T*.jpg
/opt/kde3/share/wallpapers/Won-Ton-Soup-3.jpg
/opt/kde3/share/wallpapers/default_*.jpg
/opt/kde3/share/wallpapers/kde_*.jpg
/opt/kde3/share/wallpapers/kde_*.png
/opt/kde3/share/wallpapers/only_k.jpg
/opt/kde3/share/wallpapers/triplegears.jpg
/opt/kde3/share/wallpapers/fulmine.jpg
/opt/kde3/share/wallpapers/seaofconero.jpg
/opt/kde3/share/wallpapers/Island-of-Elba.jpg
/opt/kde3/share/wallpapers/blue-bend.jpg
/opt/kde3/share/services/khelpcenter.desktop
/opt/kde3/%_lib/kde3/kio_cgi.*
/opt/kde3/share/services/cgi.protocol
/opt/kde3/bin/filesharelist
%verify(not mode) /opt/kde3/bin/fileshareset
%config(noreplace) /etc/security/fileshare.conf
/opt/kde3/bin/keditbookmarks
/opt/kde3/bin/kfm*
/opt/kde3/bin/konqueror
/opt/kde3/%_lib/kde3/kded_favicons.*
/opt/kde3/%_lib/kde3/konq*
/opt/kde3/%_lib/libkonq*
/opt/kde3/share/apps/kbookmark
/opt/kde3/share/apps/keditbookmarks
/opt/kde3/share/apps/konqiconview
/opt/kde3/share/apps/konqlistview
/opt/kde3/share/apps/konqsidebartng
%dir /opt/kde3/share/apps/konqueror
/opt/kde3/share/apps/konqueror/tiles
/opt/kde3/share/apps/konqueror/about
/opt/kde3/share/apps/konqueror/icons
/opt/kde3/share/apps/konqueror/konqueror.rc
/opt/kde3/share/apps/konqueror/p*
/opt/kde3/share/apps/konqueror/servicemenus
%config(noreplace) /opt/kde3/share/config/konqsidebartng.rc
/opt/kde3/share/icons/*/*x*/*/keditbookmarks.png
/opt/kde3/share/icons/*/*x*/*/kfm.png
/opt/kde3/share/icons/*/*x*/*/konqueror.png
/opt/kde3/share/icons/*/*x*/*/ksplash.png
/opt/kde3/share/services/kded/favicons.desktop
/opt/kde3/share/services/konq*
/opt/kde3/share/servicetypes/konq*
%if %suse_version < 901
/opt/kde3/share/config/kickerrc
%endif
%if %suse_version > 811
/opt/kde3/share/services/cursorthumbnail.desktop
/opt/kde3/%_lib/kde3/kcm_randr.*
/opt/kde3/bin/krandrtray
/opt/kde3/%_lib/krandrinithack.*
%endif
%ifarch x86_64
%if %suse_version != 900
%dir /opt/kde3/share/mimelnk/fonts
/opt/kde3/bin/kfontinst
/opt/kde3/%_lib/kde3/fontthumbnail.*
/opt/kde3/%_lib/kde3/kfile_font.*
/opt/kde3/%_lib/kde3/libkfontviewpart.*
/opt/kde3/share/icons/*/*x*/*/kcmfontinst.png
/opt/kde3/share/mimelnk/fonts/folder.desktop
/opt/kde3/share/mimelnk/fonts/system-folder.desktop
/opt/kde3/share/services/fontthumbnail.desktop
/opt/kde3/share/services/kfile_font.desktop
/opt/kde3/share/services/kfontviewpart.desktop
%endif
%else
%dir /opt/kde3/share/mimelnk/fonts
/opt/kde3/bin/kfontinst
/opt/kde3/%_lib/kde3/fontthumbnail.*
/opt/kde3/%_lib/kde3/kfile_font.*
/opt/kde3/%_lib/kde3/libkfontviewpart.*
/opt/kde3/share/icons/*/*x*/*/kcmfontinst.png
/opt/kde3/share/mimelnk/fonts/folder.desktop
/opt/kde3/share/mimelnk/fonts/system-folder.desktop
/opt/kde3/share/services/fontthumbnail.desktop
/opt/kde3/share/services/kfile_font.desktop
/opt/kde3/share/services/kfontviewpart.desktop
%endif
%if %suse_version > 800

%files samba
%defattr(-,root,root)
%endif
/opt/kde3/%_lib/kde3/kcm_samba.*
/opt/kde3/%_lib/kde3/kio_smb.*
/opt/kde3/share/services/smb.protocol
%if %suse_version > 730
%dir /opt/kde3/share/apps/konqueror/dirtree
%dir /opt/kde3/share/apps/konqueror/dirtree/remote
/opt/kde3/share/apps/konqueror/dirtree/remote/smb-network.desktop
%endif
%if %suse_version > 820
/opt/kde3/share/mimelnk/application/x-smb-workgroup.desktop
%endif
%if %suse_version > 800

%files -f switchuser.lang kdm
%defattr(-,root,root)
%endif
%dir /opt/kde3/share/doc/kdm
/opt/kde3/bin/genkdmconf
/opt/kde3/bin/kdm*
/opt/kde3/bin/switchuser
/opt/kde3/bin/krootimage
/opt/kde3/%_lib/kde3/kgreet_classic.*
/opt/kde3/share/apps/kdm
%doc /opt/kde3/share/doc/kdm/README
%config /etc/pam.d/xdm-np
%config(noreplace) /opt/kde3/share/config/kdm
%ghost /var/run/xdmctl
/usr/sbin/rckdm
%dir /etc/opt/kde3/share
%dir /etc/opt/kde3/share/config
%dir /etc/opt/kde3/share/config/kdm
/etc/opt/kde3/share/config/kdm/Xservers
%if %suse_version > 800

%files extra
%defattr(-,root,root)
%endif
/opt/kde3/bin/kappfinder*
/opt/kde3/bin/kpersonalizer
/opt/kde3/share/applications/kde/kpersonalizer.desktop
/opt/kde3/share/applications/kde/kappfinder.desktop
/opt/kde3/share/apps/kappfinder
/opt/kde3/share/apps/kpersonalizer
/opt/kde3/share/icons/*/*x*/*/kappfinder.png
/opt/kde3/share/icons/*/*x*/*/kpersonalizer.png
/opt/kde3/share/icons/*/*x*/*/kthememgr.png
%ifarch x86_64 ppc64 s390x ia64

%files nsplugin64
%else

%files nsplugin
%endif
%defattr(-,root,root)
/opt/kde3/bin/nsplugin*
%dir /opt/kde3/share/applnk/Settings/WebBrowsing
/opt/kde3/share/applnk/Settings/WebBrowsing/nsplugin.desktop

%files devel
%defattr(-,root,root)
/opt/kde3/include/*

%files ksysguardd
%defattr(-,root,root)
%dir /etc/slp.reg.d
/etc/init.d/ksysguardd
/usr/bin/ksysguardd
/usr/sbin/rcksysguardd
%config(noreplace) /etc/ksysguarddrc
%config(noreplace) /etc/slp.reg.d/*

%changelog -n kdebase3
* Mon Jun 12 2006 - dmueller@suse.de
- add patch for ~/.dmrc symlink attack (#180704, CVE-2006-2449)
* Thu Feb 16 2006 - ltinkl@suse.cz
- nuke kdm logrotate script to fix #144544
* Mon Nov 07 2005 - coolo@suse.de
- fixing handling of expired passwds (#118759)
* Sat Sep 17 2005 - dmueller@suse.de
- make smb:// make use of kerberos authentication (#113160)
* Fri Jun 03 2005 - gekker@suse.de
- Fix hang in session close (#681).
* Mon Apr 11 2005 - adrian@suse.de
- add mozilla plugin path in home directory to find manual
  installed plugins (#56126)
* Tue Jan 04 2005 - adrian@suse.de
- fix Konqueror Window Injection Vulnerability (#49194, CAN-2004-1158)
- hide passwords in smb:/ URLs
* Mon Oct 25 2004 - adrian@suse.de
- fix support for Helix netscape plugins (it uses a : in name)
- fix file sharing visibility (#43056)
* Tue Oct 19 2004 - uli@suse.de
- fixed KDM on 64-bit BE systems (bug #47202)
* Fri Sep 17 2004 - adrian@suse.de
- khelpcenter crash fix with gnome pages (#44860)
  (by Clahey)
* Sat Aug 28 2004 - adrian@suse.de
- further khelpcenter fixes for gnome help pages (#44062)
* Wed Aug 18 2004 - coolo@suse.de
- fixing file list of kdebase3 (don't create file conflicts within NLD)
* Tue Aug 17 2004 - clahey@suse.de
- Make gnome docs show up properly in khelpcenter, including TOC
  stuff.
* Tue Aug 10 2004 - adrian@suse.de
- fix memory usage view in kcontrol, if more than 4GB are present
  (#43408)
* Tue Aug 03 2004 - adrian@suse.de
- fix possible Frame Injection in khtml (by Waldo #43271)
- fix hanging kio_fish when trying to remove a file in a not
  existing directory
* Thu Jul 22 2004 - adrian@suse.de
- fix gnome help page support in khelpcenter (by Cornelius #42794)
* Fri Jun 25 2004 - adrian@suse.de
- fix security issues with fixed name in /tmp/ in kfmclient_3_2_update.sh
  (#42440)
* Wed Jun 09 2004 - adrian@suse.de
- remove broken slp implementation in ksysguardd and use a slp.reg
  file instead. Fixes sig11 in ksysguardd (#41663)
- fix hanging kio_fish (patch by Waldo)
* Wed Jun 02 2004 - adrian@suse.de
- workaround bug in XIM locking. fixes a freeze when using with
  input server via XIM. We do not call XThreadInit() anymore
  when an input server is used, this will cause broken kaffeine
  support (due to broken xine thread support). (#40962)
* Wed Jun 02 2004 - adrian@suse.de
- fix double entries in kicker quick browser.
  (found by Joerg Seymer)
* Fri May 21 2004 - adrian@suse.de
- backport further fixes, as recommend by Lubos
  * fix for moving windows with win+LMB when running with windows
  bindings
  * fix possible crash on closing konsole
  * fix incorrect window handling with fltk apps (like xine)
* Wed May 12 2004 - adrian@suse.de
- fix kicker position after restart
- mouse gestures are disabled by default
- fix Klipper's Ctrl+Alt+R
- fix focus handling with shift+MMB in konqueror
- fix electric borders in kwin (worked only sometimes)
- fix minimize of self managed windows with multiple windows (xmms/xine)
- fix kicker to remain RTL even with LTR language
- various kmenuedit fixes
- fix thousand seperator for finnish
- improved error reporting on failure in smbclient
- fix possible failure on open urls with kfmclient
- fix URL history in konqueror
* Fri Apr 16 2004 - adrian@suse.de
- fix build on ia64
- call XInitThreads() in konqueror startup.
  * this solves freezes or crashes in kparts which use threads directly.
  (kaffeine or reaktivate)
* Tue Apr 06 2004 - adrian@suse.de
- do also export locale enviroment with kdesu (#38527)
* Tue Apr 06 2004 - adrian@suse.de
- remove debug infobox on drive eject (#38294)
- fix wrong highlighted colors in gtk applications (#36935)
* Mon Apr 05 2004 - adrian@suse.de
- get KCMYAST2_CALL through kdesu
- fix yast module loading also when kcontrol already runs as root
* Mon Apr 05 2004 - adrian@suse.de
- remove second devices button in sidebar
- do use drives:/ on > 9.0 in the main devices button in the sidebar
- fix broken icon entry for sidebar services button
- kdm starts WindowMaker with "windowmaker" #38319
* Sun Apr 04 2004 - coolo@suse.de
- update to kicker CVS for critical bug fix (replacing two other
  former patches)
* Sat Apr 03 2004 - coolo@suse.de
- remove pointer to lan:/ in sidebar (#38174)
- fixing yet another place where the wrong string was used
* Thu Apr 01 2004 - adrian@suse.de
- apply fix for non-editable menu entries in kmenuedit (Waldo)
* Thu Apr 01 2004 - coolo@suse.de
- adding fix for kicker to not increase menu size because of newer
  Qt (KDE #78556)
* Thu Apr 01 2004 - adrian@suse.de
- better icon for fish:/
- don't show "mount" menu items for > 9.0 (we have subfs)
* Wed Mar 31 2004 - coolo@suse.de
- adding switchuser translations
- don't give the warning in kdesktop_lock
- add an icon to the kdm menu so that it doesn't look ugly in
  thinkeramik
* Tue Mar 30 2004 - adrian@suse.de
- remove random user list file
- remove help menu entry in kdesktop to not existing help pages
- Honour global defaults & kiosk restrictions in kcmstyle (Waldo)
- ksysguardd runlevel fixes (#37614)
- fix klipperrc patch
- don't wait for arts shutdown
* Sun Mar 28 2004 - adrian@suse.de
- fix eject via kio_drives (#37156)
* Sat Mar 27 2004 - adrian@suse.de
- apply fix for kicker crash by Lubos (#36360)
- use current BRANCH for kdesktop/
  * kiosk, minicli fixes and translation updates
- fixes a problem with focus stealing prevention with klipper (Lubos)
- use current BRANCH from kwin/
  * fixes pop-up windows below main window (#36682)
- fix several icons in kcontrol
* Fri Mar 26 2004 - coolo@suse.de
- fixing kdm layout on personal theme
- default to shutdown when auto logined (#36856)
* Wed Mar 24 2004 - coolo@suse.de
- fixing konsole pasting (#34892)
- fixing window shadow
* Wed Mar 24 2004 - adrian@suse.de
- export $KDESU_USER with kdesu session
* Mon Mar 22 2004 - adrian@suse.de
- update to current 3_2_BRANCH
  * kcminit fixes, qt apps are using the default KDE widget style now
  * Alt F2 dialog layout fixes
- call 9.1 update script
- apply default-fonts.diff again
* Sun Mar 21 2004 - adrian@suse.de
- fix kcontrol yast integration
* Wed Mar 17 2004 - adrian@suse.de
- move krandrtray menu entry
- move some .desktop files to correct sub package
* Wed Mar 17 2004 - coolo@suse.de
- fixing NFS URLs (#36032, #36275)
* Tue Mar 16 2004 - coolo@suse.de
- increasing rudi's screen space for higher stock holder value
  (#36065)
* Mon Mar 15 2004 - coolo@suse.de
- updating branch diff for konsole fixes (mutt, vim, irssi)
* Fri Mar 12 2004 - coolo@suse.de
- fixing file test
* Thu Mar 11 2004 - coolo@suse.de
- fixing user switching
* Thu Mar 11 2004 - coolo@suse.de
- replace Xservers with a symlink to the real file from XFree86
- fixing kdm layout
- fixing konsole font
* Wed Mar 10 2004 - coolo@suse.de
- adding switchuser for kdm user switch support
- removing untranslated shadow from popup
- artwork.diff update for services
* Tue Mar 09 2004 - coolo@suse.de
- reworked admin mode patch
- adding patch by Lubos to enhance xcursor support
- updating to latest 3_2_BRANCH (including at least 3 #s)
- adding patch by Matz to reintroduce window shadows
- adding support for HideMenu=true in kdm (#35209)
* Mon Mar 08 2004 - adrian@suse.de
- use original Home folder icon again
* Sat Mar 06 2004 - coolo@suse.de
- fix build with gcc 2.95
* Sat Mar 06 2004 - coolo@suse.de
- huge cleanup in the patches
- update 3_2_BRANCH diff
* Thu Mar 04 2004 - adrian@suse.de
- use gtk-qt-engine only as fallback
- fix gnome startup call for kdm
* Wed Mar 03 2004 - coolo@suse.de
- give us back the kdm user pictures
* Mon Mar 01 2004 - coolo@suse.de
- update to version 3.2.1
* Fri Feb 27 2004 - coolo@suse.de
- adding font overwrites (again) to startkde (#30760)
* Fri Feb 27 2004 - coolo@suse.de
- updated 3_2_BRANCH for kdesktop wallpaper fix (taking out
  experimental patches do no longer apply because of this)
- install xdm-np pam service to fix autologin (#34674)
- fixing warnings build dislikes
* Thu Feb 26 2004 - adrian@suse.de
- add kwin shadow patch again (prepared by Matz)
* Tue Feb 24 2004 - coolo@suse.de
- removing kdm-xconsole - went upstream
- adding mach_blass for getting feedback
- adding kiosk patch by Waldo
- adding user switch patch for kdm
* Sat Feb 21 2004 - adrian@suse.de
- one KControl menu entry is enough
* Wed Feb 18 2004 - coolo@suse.de
- updating two patches
- updating mp3-info (#33151)
- removed ssh protocol
- disable kwin shadow patch again (too broken atm)
* Tue Feb 17 2004 - coolo@suse.de
- fixing kdesktop icon aligning again
* Mon Feb 16 2004 - adrian@suse.de
- update to current 3_2_BRANCH
  * includes the kicker clock flickering fix
* Wed Feb 11 2004 - adrian@suse.de
- update to current 3_2_BRANCH
- justify kcm modules in kdesktop configure dialog
- use gtk-qt-engine by default for Gtk2 apps, if installed
* Tue Feb 10 2004 - adrian@suse.de
- update to current 3_2_BRANCH
- enable firewire support
- build kdm backend and pam code with -fno-strict-aliasing
* Sun Feb 08 2004 - adrian@suse.de
- update to current 3_2_BRANCH
- add current kwin shadow patch
* Mon Feb 02 2004 - adrian@suse.de
- fix build for older distributions
- add kickerrc config for < 9.1, because deinstallation of
  kdebase3-SuSE will mess up the kicker otherwise
* Wed Jan 28 2004 - adrian@suse.de
- fish can also used view ssh:/ now
* Wed Jan 28 2004 - adrian@suse.de
- fix file list
* Tue Jan 27 2004 - adrian@suse.de
- update to version 3.2.0 final
- cleanup and fix some more patches from 3.1
* Mon Jan 19 2004 - adrian@suse.de
- add logrotate config for kdm
* Sun Jan 18 2004 - adrian@suse.de
- update to version 3.1.95 ( KDE 3.2 RC1 )
* Fri Jan 16 2004 - adrian@suse.de
- implement short menus again
- make icon size of KDE menu configurable
* Fri Jan 16 2004 - kukuk@suse.de
- Add pam-devel to neededforbuild
* Tue Jan 13 2004 - adrian@suse.de
- update to snapshot 2004011309
- rename kdebase3-nsplugin to kdebase3-nsplugin64 for 64bit archs
* Tue Dec 30 2003 - adrian@suse.de
- update to snapshot 2003123011
* Wed Dec 17 2003 - adrian@suse.de
- update to snapshot 2003121718
- fix kdesktop sig11 due to extensions
* Mon Dec 15 2003 - adrian@suse.de
- update to snapshot 2003121511
- apply needed kdesktop extensions again
* Tue Dec 02 2003 - adrian@suse.de
- use 3.1.94, second try tar ball
* Mon Dec 01 2003 - adrian@suse.de
- update to 3.1.94 ( KDE 3.2 beta 2 )
* Thu Nov 13 2003 - adrian@suse.de
- update to new snapshot from 2003102409
- fix kwin startup
- add SLP support for ksysguard
* Wed Oct 29 2003 - adrian@suse.de
- update to KDE 3.2 beta1
* Tue Oct 21 2003 - adrian@suse.de
- update to snapshot 2003102008
* Sun Oct 05 2003 - adrian@suse.de
- update to snapshot 2003100510
* Mon Sep 29 2003 - adrian@suse.de
- update to version 1.1.92 (KDE 3.2 alpha 2)
* Sat Sep 20 2003 - adrian@suse.de
- fix from Waldo, to update kicker menu, when sycoca has changed
* Fri Sep 19 2003 - adrian@suse.de
- Add Screensaver Categories, needed for Gnome (#31282)
* Fri Sep 19 2003 - adrian@suse.de
- redo nsplugin silence patch, the output is needed for the GUI
  progress bar
* Thu Sep 18 2003 - adrian@suse.de
- fix a handling of shortet menu names, broken encoding for
  non-latin1 (#31248)
* Thu Sep 18 2003 - adrian@suse.de
- update konsole_compose fix from Waldo (fixes issues with screen)
- silence during nspluginscan
* Wed Sep 17 2003 - adrian@suse.de
- disable kthemegr completely. It can mess up the complete setup
  (#30727)
- fix touch of update90 file
* Tue Sep 16 2003 - adrian@suse.de
- apply fix from Lubos for the Double Focus problem (#29467)
* Tue Sep 16 2003 - adrian@suse.de
- higher nsplugin service priority
  (pdf's are shown in embedded acroread)
- use correct background setup during autologin
* Mon Sep 15 2003 - coolo@suse.de
- providing function for the suseplugger
* Mon Sep 15 2003 - coolo@suse.de
- have pkgconfig in the neededforbuilds to get fontconfig
  support (that you get if you don't calculate build dependencies
  automatically)
* Mon Sep 15 2003 - adrian@suse.de
- fix typo in startkde
* Mon Sep 15 2003 - adrian@suse.de
- apply patch from coolo to fix mouse cursor settings from kcontrol
  (#30760)
- clean up obsolete/double patch
- apply fix from Waldo for the kicker update script (#30767)
* Sun Sep 14 2003 - coolo@suse.de
- fixes for suseplugger placement
* Sat Sep 13 2003 - adrian@suse.de
- apply fix from Waldo for editing icon entries in kicker (#30606)
- fix Unimportant entries finaly.
- update suse_default_move.diff patch to new verions from coolo
  * fixes icon placement finally, hopefully
- implement second level menu sorting
* Fri Sep 12 2003 - coolo@suse.de
- fixing the aligning of the default icons
* Fri Sep 12 2003 - coolo@suse.de
- set background even on autologin users
* Thu Sep 11 2003 - adrian@suse.de
- redone 3.1.4 tar ball, whith kdesu enviroment fix
- apply branch patch with kdesktop rename fix
- add new console font from mfabian with an EUR char
- fix copy quoting of kdesktop addIcon
- export $STYLE to get a matching look in xmms
- new version for krdb-gtk2 patch from coolo
- fix from Waldo to show UTF-8 in konsole correct (#25146)
- prepare startkde script to call the 9.0 update script
* Wed Sep 10 2003 - coolo@suse.de
- check a specific dcop interface (kdesktop). that's less likely to
  stay stale (#30148)
* Tue Sep 09 2003 - coolo@suse.de
- remove unused patch7
- add patch to force xft2 usage on qt3 in konsole (#29164)
* Tue Sep 09 2003 - adrian@suse.de
- do even apply coolos patch
- further kcontrol yast patch. we need only one line in the
  desktop file now and can keep a usual Exec line
* Tue Sep 09 2003 - adrian@suse.de
- update to version 3.1.4
- some missing bits, to be able to load YaST embedded into kcontrol
  again
* Mon Sep 08 2003 - coolo@suse.de
- update smb code in CVS to include more detailed error message
- add debug code as found a problem in our windows network which
  might hit more users
* Mon Sep 08 2003 - coolo@suse.de
- fixing kdesktop to read .directory on new files
- updating short-menus diff from adrian
* Fri Sep 05 2003 - adrian@suse.de
- honor also X-SuSE-Unimportant entries during menu shorting
- new kmenuedit from Waldo, fixing creation of new entries
- add gtk2-set-enviroment patch from Lubos to fix encoding problems
- handle special flags for folder (no shorting and name usage)
- new handling of GTK theme, made by Stanislav Brabec
- kfontinst: reload instead of restart the xfs
- kfontinst: call also SuSEconfig --module fonts
- make KControl visible in main menu
* Thu Sep 04 2003 - adrian@suse.de
- remove clock kcm module. it breaks the system and we have a
  YaST modul for this purpose.
- new patch from Waldo to fix kcontrol yast module menu
- stop/restart ksysguardd on update/remove
* Thu Sep 04 2003 - adrian@suse.de
- some desktop Categories tuning
* Tue Sep 02 2003 - adrian@suse.de
- kwrite becomes unimportant
* Mon Sep 01 2003 - adrian@suse.de
- update to current 3_1_BRANCH
  * contains kwin resize fix for xmms from Lubos
- implement X-SuSE-Unimportant support
- apply crash fix for khelpcenter from Cornelius
- coolo: add check in startkde for already running kde
* Sun Aug 31 2003 - adrian@suse.de
- implement menu auto shorting in kicker
* Sat Aug 30 2003 - adrian@suse.de
- fix kdm startup error
- disable password field for no-password-for-all-users mode
* Sat Aug 30 2003 - adrian@suse.de
- update xdg patch to new version from Waldo.
* Fri Aug 29 2003 - adrian@suse.de
- update to current 3_1_BRANCH for kdm security fixes
* Wed Aug 27 2003 - adrian@suse.de
- fixing smb:/ protocol by using libsmbclient from samba 3
- hide "Open In Terminal" entries in kicker by default
* Tue Aug 26 2003 - adrian@suse.de
- implement the kdm admin mode
* Tue Aug 26 2003 - adrian@suse.de
- apply fix from Lubos for maximised windows of GTK apps
* Sun Aug 24 2003 - adrian@suse.de
- let kthumbnailcreator use ksvgiconengine
* Sat Aug 23 2003 - adrian@suse.de
- update to 3_1_BRANCH
* Wed Aug 20 2003 - adrian@suse.de
- apply fix from Lubos for khotkey support with XDG
* Sat Aug 16 2003 - adrian@suse.de
- rpm -V fixes
* Fri Aug 15 2003 - adrian@suse.de
- set Categories for KControl via patch
* Thu Aug 14 2003 - adrian@suse.de
- add %%ghost /var/run/xdmctl
* Wed Aug 13 2003 - adrian@suse.de
- use new places of gtkrc-$STYLE files
- use current 3_1_BRANCH
* Tue Aug 12 2003 - adrian@suse.de
- justify Categories
- new XDG patch from Waldo
* Thu Aug 07 2003 - adrian@suse.de
- update XDG patch
* Thu Aug 07 2003 - adrian@suse.de
- new code from Waldo: kmenuedit can handle XDG now
- require smbclnt, if samba 3 is not used
* Sun Aug 03 2003 - adrian@suse.de
- fix build for 8.2
* Fri Aug 01 2003 - adrian@suse.de
- disable shadow text at all
- add patch to support kwin shadow windows instead
* Tue Jul 29 2003 - adrian@suse.de
- disable shadow text for 8.2
- fix build for 8.2 (now it really works everywhere for sure, I hope)
* Tue Jul 29 2003 - adrian@suse.de
- fix build for < 8.0
* Mon Jul 28 2003 - cschum@suse.de
- Updated KHelpcenter tarball. Fixes bug #24374.
* Fri Jul 25 2003 - cschum@suse.de
- Added KHelpcenter from CVS HEAD.
* Fri Jul 25 2003 - adrian@suse.de
- fix build for < 8.1
- add Categories
* Sat Jul 19 2003 - adrian@suse.de
- add XDG patch from Waldo
- add backported patch from 3.2 for shadow text on icons.
  kcontrol changes are not included for i18n compliance
  (written by Laur Ivan <laurivan@eircom.net>)
* Wed Jul 16 2003 - adrian@suse.de
- update to version 3.1.3
* Wed Jun 25 2003 - coolo@suse.de
- updating 3_1_BRANCH diff (heading 3.1.3)
* Mon Jun 23 2003 - schwab@suse.de
- Remove trailing spaces from Xpdf.ad.
* Fri Jun 13 2003 - coolo@suse.de
- package directories
* Fri May 30 2003 - adrian@suse.de
- fix build on non-fast-malloc architectures
* Mon May 26 2003 - adrian@suse.de
- use $INSTALL_TARGET
- all config files are %%config(noreplace) now
- startkde.lib is obsolete in future
* Mon May 26 2003 - adrian@suse.de
- do not save original startkde (fix build for rpm4)
* Wed May 21 2003 - adrian@suse.de
- add fix from Lubos to start preloaded Konq on correct screen
- drop patch which ignores global malloc
* Thu May 15 2003 - adrian@suse.de
- 3.1.2, take four
* Mon May 12 2003 - adrian@suse.de
- update to 3.1.2, take three
- use $HOME/.fonts path also via XLFD
* Thu May 08 2003 - ro@suse.de
- fileshareset2: include errno in fssConfigNfs.cpp
* Thu May 08 2003 - adrian@suse.de
- update to 3.1.2
  * cleanup patches
* Fri Apr 18 2003 - adrian@suse.de
- merge 8.2 and 8.3 stream
* Wed Apr 09 2003 - adrian@suse.de
- security fix, call ghostscript in safe mode.
- replace fileshareset utility with a working one
  (written by Uwe Gansert, reviewed by security-team)
  Only samba exports for now, nfs is disabled for security reasons
- add global gtkrc to enviroment variable to fix used encoding
- fix kdm behaviour after wrong password (#25727)
* Sun Mar 16 2003 - adrian@suse.de
- fix console font size also in konsole code
- workaround a qt bug to find a fixed font (#25430)
  (do not recalculate the pixelSize via dpi)
* Sat Mar 15 2003 - adrian@suse.de
- xmms can't handle .m3u files in a stream
- ensure that $kdehome is set during startkde run
- remove xset font calls in startkde
  (reduces warnings during KDE startup and is not needed with fontconfig)
* Fri Mar 14 2003 - adrian@suse.de
- fix from Lubos to disable kdesu parameters, when running in
  kcmshell already (first part to fix #25230)
- remove senseless permissions file (we don't have a suid perl)
* Wed Mar 12 2003 - adrian@suse.de
- fix the last place of hardcoded kdmrc path
- fix build for < 8.2
* Wed Mar 12 2003 - adrian@suse.de
- add sensors support to ksysguard again
- apply fix from Lubos for kdm mouse cursor
* Wed Mar 12 2003 - adrian@suse.de
- fix kxkb extension for XFree 4.3
- fix nsplugin scan init
* Tue Mar 11 2003 - adrian@suse.de
- fix kdm layout/position
- disable unneeded Menu and Erase button
- use standard button ordering in kdm
- fix encoding usage for user names
- add fix from Lubos for Konqueror session management
- add fix from Coolo for pam-error-message handling in kdm
- add PreReq: aaa_base in kdebase3-ksysguardd to be able to update
  from 7.3
- add fix from Cornelius to let khelpcenter use the correct language
- fallback gtkrc style is keramik/geramik
* Sun Mar 09 2003 - adrian@suse.de
- apply kdm patches again for console
- use better icon for "new session"
- use console8x16 font from HEAD to fix freetype2 issues
- check only for lowercase gtkrc-$STYLE's
- fix remote .pls file handling with xmms
- run update script, if present
* Tue Mar 04 2003 - adrian@suse.de
- add missing Provides/Obsoletes kdialog
- use a better icon for Home directory items
* Sat Mar 01 2003 - adrian@suse.de
- update to version 3.1.1
  * kwin fixes: don't show toplevel menus for non-active windows.
  * konq fixes: don't repost data on reload, if url changes
  sidebar crash fix
  * nsplugin viewer: fixes and NPN_PostURL* support.
- update kcmrandr and patches from Lubos
  * restoring resolution by kcminit works now
- Konqueror preloading fixes from Lubos
  * creating KonqMainWindow on --preload
- disable klipper actions of not installed apps
- add /usr/lib{,64}/browser-plugins/ path to scan list
- fix build on non-ia32/x86_64
- drop obsoletes patches
* Fri Feb 28 2003 - adrian@suse.de
- update 3_1_BRANCH patch
- update preloaded konq patch from Lubos
- drop Obsoletes kdebase again
- fix quickbrowser patch to show entries only once
* Wed Feb 26 2003 - adrian@suse.de
- update 3_1_BRANCH patch
- follow susewatcher directory change
- Obsoletes kdebase
* Mon Feb 24 2003 - adrian@suse.de
- update 3_1_BRANCH patch
- fix kdmrc path in kcm_kdm
- use yast for setting the clock in kicker/applet/clock
* Sat Feb 22 2003 - kukuk@suse.de
- If we provide kdebase, we should also obsolete the old one.
* Thu Feb 20 2003 - cschum@suse.de
- Fixed check, if khelpcenter index builder needs root permissions.
* Wed Feb 19 2003 - adrian@suse.de
- fix typo in Provides for kdm, fixes update from kde 2
* Tue Feb 18 2003 - adrian@suse.de
- fix build for < 8.2
* Tue Feb 18 2003 - adrian@suse.de
- add Provides kdebase3-konqueror
* Mon Feb 17 2003 - adrian@suse.de
- use gtk[2]rc-$STYLE to be more flexible
* Mon Feb 17 2003 - adrian@suse.de
- set enviroment to use special kde themings for gtk apps
* Sun Feb 16 2003 - adrian@suse.de
- install kappfinder_install, fixes susewm build
- disable obsolete quick browser patch
* Sun Feb 16 2003 - adrian@suse.de
- create susewatcher Desktop icon on the fly
- remove unneeded requires
* Sat Feb 15 2003 - adrian@suse.de
- update 3_1_BRANCH patch
- fix qt/xrandr signal usage
- add konqueror preload patches from Lubos
- extend kdesktop addIcon api
- add additional Desktop path for kdesktop for susewatcher icons
- let kicker accept $HOME pathes
* Tue Feb 11 2003 - adrian@suse.de
- let kdesktop use susewatcher directory
- add RandR tools
* Fri Feb 07 2003 - cschum@suse.de
- new search index generation for khelpcenter which doesn't
  necessarily need root permissions
* Fri Jan 24 2003 - adrian@suse.de
- apply patches from Lubos to use XrandR
- add check for prelinked systems in startkde
* Wed Jan 22 2003 - adrian@suse.de
- fix file list
- disable xsetroot in startkde
* Fri Jan 17 2003 - adrian@suse.de
- use RC7-try2 tar ball
* Thu Jan 16 2003 - adrian@suse.de
- update to RC7
- merge kdebase3-konqueror into kdebase3 again
- do not link kdesysguardd against libkdefakes
* Mon Jan 13 2003 - adrian@suse.de
- clean up #neededforbuild
* Fri Jan 10 2003 - coolo@suse.de
- adding metadata to fillup
- use KDE_FAST_MALLOC only for distribution versions
  < 8.2 (without metadata for them)
* Wed Jan 08 2003 - coolo@suse.de
- using the real euro symbol instead of the subscript
  (#21779)
* Wed Jan 08 2003 - coolo@suse.de
- making cursor changes in kcontrol work (#21777)
* Tue Jan 07 2003 - adrian@suse.de
- update to RC6
* Thu Dec 05 2002 - adrian@suse.de
- fix build
* Tue Dec 03 2002 - adrian@suse.de
- apply kdesktop icon placement patches again.
* Mon Dec 02 2002 - adrian@suse.de
- update startkde script to 3.1
  * fixes session handling
* Sat Nov 30 2002 - adrian@suse.de
- new try of RC5 tar ball. BRANCH fixes are disabled again.
* Fri Nov 29 2002 - adrian@suse.de
- revert kicker changes (compile failed with 2.95)
* Thu Nov 28 2002 - adrian@suse.de
- use current 3_1_BRANCH fixes
* Mon Nov 25 2002 - adrian@suse.de
- update to RC5
* Sun Nov 24 2002 - adrian@suse.de
- move kcm samba module into samba subpackage
- move thememgr into extra package
* Sat Nov 23 2002 - adrian@suse.de
- fix build for < SuSE 7.3
* Wed Nov 20 2002 - adrian@suse.de
- remove obsolete kdm-xconsole patch
* Wed Nov 20 2002 - adrian@suse.de
- update to version 3.1-RC4 (final ?)
* Wed Nov 20 2002 - adrian@suse.de
- update to version 3.1-RC4 (final ?)
* Fri Nov 15 2002 - coolo@suse.de
- removed one more patch that isn't needed with
  the later CVS snapshot
* Tue Nov 12 2002 - coolo@suse.de
- sorted patches out
- update snapshot to include a last minute fix for
  new kdelibs
* Wed Nov 06 2002 - adrian@suse.de
- update to snapshot 3.0.8.20021106
* Tue Nov 05 2002 - adrian@suse.de
- update to snapshot 20021030
  ( fixes file conflicts with kdelibs )
* Sun Nov 03 2002 - adrian@suse.de
- update to version 3.0.9.20021030 ~= RC1
* Tue Oct 08 2002 - adrian@suse.de
- update to version 3.0.4
* Thu Sep 26 2002 - adrian@suse.de
- limit kconsole log lines to 100 (fixes the memory "leak")
- kate encoding fix from HEAD (#20139)
* Tue Sep 17 2002 - adrian@suse.de
- fix kdesktop lock behaviour with "focus under mouse" settings
  (credit for finding it goes to Lubos)
* Fri Sep 13 2002 - coolo@suse.de
- fixing the fix for nspluginscan
* Wed Sep 11 2002 - adrian@suse.de
- disable Console Login option in kdm menu
* Mon Sep 09 2002 - adrian@suse.de
- add fix from ossi to suppress "new session" buttons, when not
  started via kdm
- use launch icon for "new session" entries
- fix acroread default colors
* Mon Sep 09 2002 - coolo@suse.de
- fixing #19212 in showing all printers if there is no
  printer defined to be used
* Mon Sep 09 2002 - adrian@suse.de
- fix compile
* Mon Sep 09 2002 - adrian@suse.de
- fix focus handling with locking screensavers
- make kdm quiet
* Sun Sep 08 2002 - adrian@suse.de
- fixes from Ossi for chooser. I disable it anyway by default to
  get sure.
- disable auto-new-session on lock
- use own Xsetup script (fix the double root window setup)
- fix kcontrol/kdm to write the right (superior) kdmrc file
- update the fallback kdmrc to fix values from kdebase3-SuSE
- move krootimage to kdm package
- add split alias for -kdm and -konqueror package
* Fri Sep 06 2002 - adrian@suse.de
- apply last bits from Ossi
  * adds "create new session" feature
- remove chooser from menu button in kdm, since it does not work atm
- we still use kdmrc for kdm desktop settings, so kdm must some settings
  (we do not need to replace the kcm module)
- disable the nohang patch, we are fast enough to live without now :)
* Thu Sep 05 2002 - coolo@suse.de
- found work around for nsplugin and real player plugin
  (major PR 18083)
* Wed Sep 04 2002 - coolo@suse.de
- applying fix for PR18629 (suse tour broken)
- fixing rcksysguardd
- don't line up icons on font change
* Wed Sep 04 2002 - adrian@suse.de
- update to latest kdm version from ossi
  * fixes possible seg fault / support user defined log file
  * adds chooser
  * GUI cleanup
- set background color after installing theme
* Mon Sep 02 2002 - coolo@suse.de
- don't crash kicker on switching desktops while renaming
* Fri Aug 30 2002 - adrian@suse.de
- fix for kfindpart crash ( it does since memory leak fix)
- install root theme also when kdesu has been used from a user
  account before
- move kpersonalizer pictures to main package, the greeter is using it
* Fri Aug 23 2002 - adrian@suse.de
- we do not need kdm_position patch anymore (xconsole will go away :)
- add patch to check for kdmrc in /etc and /opt
- install and package kappfinder_install (used by susewm)
- do not create a sub menu for Terminal and Konq in kicker/quickbrowser
- disable tracing of kdesud via prctl() instead of set gid bit (hint from okir)
- hot fix for kdm xconsole
* Wed Aug 21 2002 - adrian@suse.de
- apply kdm xconsole patch from ossi with some changes
- let konqueror->Go->Applications go to {/etc/,}opt/kde3/share/applnk
- set explicit kcheckpass permissions in %%files section
- use default kdmrc in /opt only and make /etc free for theme package
- add extra hooks for additional UL calls
- coolo: fix kicker_default patch
- coolo: fix khelpcenter startup
* Tue Aug 20 2002 - coolo@suse.de
- fixing kicker default for smaller resolutions
* Mon Aug 19 2002 - adrian@suse.de
- unset also QTDIR in startkde
- update khelpcenter to current HEAD snapshot
* Mon Aug 19 2002 - coolo@suse.de
- changed ShowUsers from All to NotHidden
* Mon Aug 19 2002 - coolo@suse.de
- use Nimbus Sans l when installed instead of helvetica
* Sun Aug 18 2002 - adrian@suse.de
- fix PreRequires
* Wed Aug 14 2002 - coolo@suse.de
- 400 is too few on 800x600 - 480 is minimum (6 buttons remaining)
* Tue Aug 13 2002 - coolo@suse.de
- changed kcheckpass to suid root again as discussed with kukuk
  (needed for nisplus+ldap)
* Mon Aug 12 2002 - coolo@suse.de
- don't name the default_desktop stuff suse_
- let the scripts specify the row/col
- fix the name of the resulting icons
- remove the file from auto start after having done the work
- keep 100 pixels more for the taskbar
* Sun Aug 11 2002 - coolo@suse.de
- splitting the kdesktop moving patch from the suse_default patch
  and fixing both
* Sat Aug 10 2002 - coolo@suse.de
- changed the way kicker sets the default config
* Sat Aug 10 2002 - adrian@suse.de
- disable kdesktop patch for now
* Sat Aug 10 2002 - adrian@suse.de
- second try of gcc 3 fix for suse_move_default_desktop
  (yes, again untested ;)
* Sat Aug 10 2002 - adrian@suse.de
- fix build for 7.3 and older
* Sat Aug 10 2002 - adrian@suse.de
- fix build of suse_move_default_desktop for gcc 3
* Fri Aug 09 2002 - adrian@suse.de
- add workaround for plugins when compiled with gcc 3.x (from malte)
* Fri Aug 09 2002 - coolo@suse.de
- adding suse_move_default_desktop - to be used through
  kdebase-SuSE (the name of the tool isn't visible to the
  user, so other UL parties can use it too :)
* Fri Aug 09 2002 - adrian@suse.de
- fix build for older distributions
* Thu Aug 08 2002 - adrian@suse.de
- fix stupid typo in spec file
* Thu Aug 08 2002 - adrian@suse.de
- update to version 3.0.3
- update khelpcenter from current HEAD
* Wed Aug 07 2002 - coolo@suse.de
- show the default printer's jobs by default
* Tue Aug 06 2002 - coolo@suse.de
- fixing the fix
* Tue Aug 06 2002 - coolo@suse.de
- extending konsole fix
* Tue Aug 06 2002 - coolo@suse.de
- fixing konsole on PPC
* Fri Aug 02 2002 - coolo@suse.de
- don't use lilo reboot option by default
* Thu Aug 01 2002 - adrian@suse.de
- fix PreRequires
- set default kdmrc greeting string to "United Linux 1.0"
- fix %%post / %%pre scripts
* Wed Jul 24 2002 - adrian@suse.de
- fix #neededforbuild
* Mon Jul 22 2002 - coolo@suse.de
- fixing scope of the lib64 patch
* Fri Jul 19 2002 - adrian@suse.de
- do not export KDE_MALLOC anymore
* Thu Jul 18 2002 - adrian@suse.de
- fix file list
* Wed Jul 17 2002 - adrian@suse.de
- split samba dependend libs into -samba subpackage
- use updated lib64 patches from coolo
- fix build for several changes in base system
* Tue Jul 16 2002 - coolo@suse.de
- fixing location for ldap on lib64 architectures
- fixing cddb entries for Schwab's CD
* Sun Jul 14 2002 - adrian@suse.de
- split sub-packages for kdm, konqueror and unneeded extra stuff.
- do not start kinternet for 8.1 and higher by startkde
- apply fix for smb kio from coolo
- apply fix for kpager from coolo
- apply fix to fix time stamps when handle with konqueror from coolo
- fix USE_FAM variable in startscript
* Mon Jul 01 2002 - adrian@suse.de
- fix default settings for klipper to start Netscape and Mozilla
* Mon Jun 24 2002 - adrian@suse.de
- update to version 3.0.2
* Wed Jun 12 2002 - coolo@suse.de
- cleanup around $configkde
* Mon Jun 10 2002 - adrian@suse.de
- fix memory leak in kfind (partitial, but the bigger one ;)
* Mon Jun 10 2002 - coolo@suse.de
- adding fix for cddb computation
* Mon Jun 10 2002 - adrian@suse.de
- fix build on lib64 (audiocd slave)
* Wed May 29 2002 - adrian@suse.de
- use update_admin
- add extra optional script directory /opt/kde3/share/addon-scripts/
- check for tmp-$HOST symlinks in startscript
* Tue May 14 2002 - adrian@suse.de
- update to 3.0.1, second try
- memory leak fixes for kicker
* Fri May 10 2002 - adrian@suse.de
- update to 3.0.1
* Tue May 07 2002 - meissner@suse.de
- generic KDE Libdir fixes, fixed updatedialog compilation.
* Wed Apr 17 2002 - adrian@suse.de
- do not overwrite root-user settings
* Mon Apr 15 2002 - adrian@suse.de
- add pre install script to check for a /opt/kde3/share/config/kdm
  directory.
- rename ksysguardd3 back to ksysguardd
* Wed Mar 27 2002 - adrian@suse.de
- do not start kpersonilzer (fix it really)
* Wed Mar 27 2002 - adrian@suse.de
- remove wrong double quotes around the Desktop copy routine
- disable kpersonalizer on autostart
  (it mess up some systems during update)
* Wed Mar 27 2002 - kukuk@suse.de
- Remove last konsole patch
* Tue Mar 26 2002 - adrian@suse.de
- crash fix for konqueror, when browsing not readable directorys
  (made by Andreas Schwab)
* Mon Mar 25 2002 - adrian@suse.de
- update tar ball to 3.0 final, second try
- add window raise fix for ktaskbar in kicker
* Mon Mar 25 2002 - adrian@suse.de
- update to 3.0 final (everything is wonderfull release)
- unset $KDEDIRS instead of exporting, we have /etc/kde3rc now
* Thu Mar 21 2002 - adrian@suse.de
- update to 3.0rc3
- change to new SuSE background, if the user is still using the
  old version
* Mon Mar 18 2002 - adrian@suse.de
- fix ~/.kde2->~/.kde copy routine
* Fri Mar 15 2002 - ro@suse.de
- changed neededforbuild <ssh> to <openssh>
* Sun Mar 10 2002 - adrian@suse.de
- fix %%pre install script
* Sun Mar 10 2002 - adrian@suse.de
- update to 3.0rc2
* Tue Mar 05 2002 - ro@suse.de
- fixed pre-install
* Mon Mar 04 2002 - adrian@suse.de
- update to 3.0rc1
* Tue Feb 26 2002 - adrian@suse.de
- fix startscript (use changed sysconfig variables)
* Tue Feb 26 2002 - adrian@suse.de
- fix updatedialog install
* Tue Feb 26 2002 - adrian@suse.de
- update to snapshot 2.92.2002022519
* Thu Feb 14 2002 - adrian@suse.de
- update to snapshot 2.92.2002021421
- move Doug Lea's malloc to kdelibs3
  (can be configured via kdebase3-SuSE)
- fix samba support
- add KDE 2 -> 3 update tool
* Tue Feb 12 2002 - adrian@suse.de
- add optional Doug Lea's fast malloc implementation
- fix ownership of files
* Mon Feb 11 2002 - adrian@suse.de
- update to snapshot 2.92.2002021111
- add rckdm symlink
- kdm follows qtrc
* Wed Feb 06 2002 - adrian@suse.de
- update to version 2.92 (KDE 3.0 beta 2)
- use common_compile_flags
* Tue Jan 29 2002 - adrian@suse.de
- fix startkde script to call startkde.theme early enough
* Mon Jan 28 2002 - adrian@suse.de
- fix $KDEDIRS
* Mon Jan 28 2002 - adrian@suse.de
- update to snapshot 2.91.2002012811
* Sun Jan 27 2002 - schwab@suse.de
- Remove invalid use of PAGE_SHIFT.
* Wed Jan 23 2002 - adrian@suse.de
- update to snapshot 2.91.2002012221
- move all distribution version depending configure stuff
  to kdebase3-SuSE
* Wed Jan 16 2002 - adrian@suse.de
- really fix the kde start link
* Tue Jan 15 2002 - adrian@suse.de
- update to snapshot 2.91.2002011511
- fix kde start link for 7.3.99 development version
* Tue Jan 08 2002 - adrian@suse.de
- use current CVS snapshot
- disable rpath linking depending on kdelibs
* Tue Dec 18 2001 - adrian@suse.de
- update to version 2.91 (3.0 beta1)
* Tue Dec 04 2001 - adrian@suse.de
- use current cvs snapshot
* Fri Nov 02 2001 - adrian@suse.de
- using cvs snapshot from 01 Nov. 2001
  ( compiles again with qt 3 final )
* Tue Sep 25 2001 - adrian@suse.de
- remove a part of setuid-kdm patch, which caused hanging and
  killing a bit too much processes
- added diff to avoid killing arbitrary processes
* Mon Sep 24 2001 - adrian@suse.de
- add setuid-kdm patch (SECURITY FIX)
- remove export $LANGUAGE from startkde
- remove testing patch from kdm
- fix KOffice icon really
- add fixes for IconDialog in kmenuedit and kicker
  (all icons are back)
* Fri Sep 21 2001 - adrian@suse.de
- fix icon positions again
- change ktip picture
- add dcopserver_shutdown also before a new session is started
  (no more login problems;)
- kdm greeter will do not cover xconsole anymore
- fix kcmkdm to use the right kdmrc file (and not to remove the link)
- fix SuSEconfig.kdm2 for security non-easy mode ("NoStars"->"NoEcho")
- fix Home/End keys in konsole _really_
- fix SegFault in audiocd+lame after first title
- add some last fixes for kdm (thanks a lot, ossi)
- fix ksysguardd start script (kill only, if pid file present)
- change koffice icon from unkown->xedit
* Thu Sep 20 2001 - adrian@suse.de
- add dcopserver_shutdown from HEAD branch and call it in startkde
* Thu Sep 20 2001 - adrian@suse.de
- add fix for wrong ownership of $HOME/.wmrc
* Thu Sep 20 2001 - adrian@suse.de
- change icon for kwintv template
* Wed Sep 19 2001 - mfabian@suse.de
- fix for bug #10464:
  make Japanese input possible even when UNIX-style application
  shortcuts are selected (Japanese input becomes impossible
  when the keyboard shortcut for "SelectAll" is empty. This
  workaround sets it to "Alt+Ctrl+Shift+A" instead).
- patch for kpersonalizer to handle encoding as well
* Tue Sep 18 2001 - adrian@suse.de
- add signal handler fix for smbro:
- revert patch for konsole, which breaks the Home/End keys
- minor theme improvements
- add fixes kcontrol:
  * size for YaST2
  * broken about page for Menus with sub folders
  * rename Modify button to root button
* Wed Sep 12 2001 - adrian@suse.de
- apply cvs branch fix (fix icon desktop handling)
- improve startkde.devices script for better icon positioning
* Tue Sep 11 2001 - adrian@suse.de
- update to second try of kdebase 2.2.1 tar ball
* Sat Sep 08 2001 - adrian@suse.de
- update to 2.2.1
- fix sane check for kooka icon
- make the Euro char working again in konsole
- fix CD-R icon on desktop
* Wed Sep 05 2001 - adrian@suse.de
- add kwintv and kooka to start scripts
- fix file conflicts
- apply patch from kukuk: do not show lilo menu on non i386 architectures
* Tue Sep 04 2001 - adrian@suse.de
- update to current KDE_2_2_BRANCH ( 04.09.2001 )
  * konsole fixes again
  * translation updates
  * audiocd fix for Xing tag writing
  * charset define fix in kcontrol title
- fix startkde & SuSEconfig scripts
* Sun Sep 02 2001 - adrian@suse.de
- update to current KDE_2_2_BRANCH ( 02.09.2001 )
  * ksmserver checks disk-space in error handling
  * removed startup notification for kpager
  * fix x screen savers
  * kate fixes
  * konsole fixes
- add fallbackAppliation lines to templates
- fix startkde scripts for new theme
* Wed Aug 29 2001 - adrian@suse.de
- fix logo patch
* Tue Aug 28 2001 - adrian@suse.de
- update to current KDE_2_2_BRANCH ( 28.08.2001 )
  * better gui in kcontrol file handling
  * konsole fixes
  * crash fix for konqueror about:blank
  * translation updates
- kdm pam support fix
* Tue Aug 28 2001 - adrian@suse.de
- fix startkde scripts for new theme
* Mon Aug 27 2001 - ro@suse.de
- fix typo in specfile (build-root dir was missing in one place)
* Sat Aug 25 2001 - adrian@suse.de
- update to current KDE_2_2_BRANCH
  * several fixes for konsole
- split and cleanup SuSE startkde script
- do not apply kcm modules twice on KDE start
* Tue Aug 21 2001 - adrian@suse.de
- update to current KDE_2_2_BRANCH
  * fixes for icon handling on desktop
  * konsole fixes and enhencements
  * kpersonalizer fixes
  * icon cleaning
  * several kicker fixes
- dlopen libmp3lame if present
- add README and spec file to compile lame
- obsolete kdebase-i686 until objprelink does work better
- move ksysguardd to /usr/bin/
* Mon Aug 06 2001 - adrian@suse.de
- update to final 2.2
- add optimized -i686 package for i386 architecture
- add start scripts for ksysguardd
- add SuSE menu kicker patch
* Wed Aug 01 2001 - adrian@suse.de
- update to 2.2rc1
* Fri Jun 29 2001 - adrian@suse.de
- 2.2beta1
* Mon May 28 2001 - adrian@suse.de
- 2.2alpha2
* Tue May 22 2001 - adrian@suse.de
- switch greeting font in kdm to helvetica
- write correct codec numbers for ja,ko,zh
- fix anti_xsnow_pro_netscape fix
* Tue May 15 2001 - adrian@suse.de
- fix kdialog dialog
* Tue May 15 2001 - adrian@suse.de
- add hack to workaround a segfault from Flash6 plugin
- fix root warning in startkde
* Mon May 14 2001 - adrian@suse.de
- my last try to get the top icons in line
  (startkde script changes)
* Sat May 12 2001 - adrian@suse.de
- set rc.config variable back to auto
  (the users get a asterix in passwd field by default)
- set konsole keytab to XFree86 3 by default, F-Keys are working now
- change picture in ktip
* Fri May 11 2001 - adrian@suse.de
- fix SuSEconfig.kdm2 for LANG=C
- improve icon positions on desktop
* Thu May 10 2001 - adrian@suse.de
- fix lock up if $LANG is not set
- fix not translated Floppy
- add bookmarks to menu
- add SuSE icon to desktop
* Mon May 07 2001 - adrian@suse.de
- fix permissions in kdebase-conf.tar.bz2
- big icons on panel only for >1280x1024
- revert coolo's xsnow hack
  (it is summer, netscape is more important and it reduces the load)
  (BTW: dpms was also broken by this hack ...)
- check for broken SM entry for kicker in kwin:*
- change KDM_SHUTDOWN default to local
* Sun May 06 2001 - adrian@suse.de
- reorganize startkde script to use old and new mountpoints and
  translate application icons on desktop
- update to current KDE_2_1_BRANCH
- fix kdm to use Language from kdmrc and not configuration from root
- fix SuSEconfig.kdm2 to write language depended GreetString
- make kcontrol widther by default for YaST2
- ignore LastLogin in kdmrc for md5sum
- add own kickerrc for resolution 1024 and more
- fix wmlist handling
- drop libkicker_internal.la to fix crashes as suggested by Waldo
- add public_html link to konqueror tree
- add drives folder to konqueror tree
- fix broken line in proxy.desktop
* Tue May 01 2001 - adrian@suse.de
- kcmshell reposition for YaST2 modules
- use iso-8895-15 to support the EUR
* Wed Apr 25 2001 - adrian@suse.de
- drop sensors support (do it really destroy thinkpads ?, not my ;-)
- add konsole patch from mls for latin9
* Mon Apr 23 2001 - adrian@suse.de
- use SuSEwizard for setup
- strip leading /media/ for device icons
- cleanup startkde
* Wed Apr 18 2001 - adrian@suse.de
- switch off --enable-final for axp
* Fri Apr 13 2001 - adrian@suse.de
- show currency symbol/Euro() in kcontrol font dialog
* Wed Apr 11 2001 - adrian@suse.de
- fix SuSEconfig.kdm2
- fix conflicts in sub packages
* Mon Apr 09 2001 - adrian@suse.de
- added dialog box while root login. Hopefully no more magazines
  will write about our ugly red standard desktop.
  But I do not believe it.
- disable alsa for 7.0-ppc
* Fri Apr 06 2001 - adrian@suse.de
- -O2 for axp
  apply NOnostdlib patch (resolve hopefully ppc link problems)
* Fri Mar 30 2001 - ro@suse.de
- neededforbuild fix
* Thu Mar 29 2001 - mfabian@suse.de
- I didn't apply the patch for my last changelog entry correctly.
  fixed.
* Tue Mar 27 2001 - mfabian@suse.de
- use correct charset for Japanese, Korean, and Chinese in
  "startkde"
- use "default" as the font for Japanese, Korean, and Chinese
  in /sbin/conf.d/SuSEconfig.kdm2
- add "GreetString[ja]" to /opt/kde2/share/config/SuSE/config/kdmrc
- add "windowmanager" to "Provides:"
* Tue Mar 27 2001 - ro@suse.de
- changed neededforbuild <docbkdsl> to <docbook-dsssl-stylesheets>
* Sat Mar 24 2001 - adrian@suse.de
- go back to -O0 for ppc
  disable cdparanoia support for 6.3
* Wed Mar 21 2001 - adrian@suse.de
- remove QT_XFT=yes from startkde to reduce problems with
  NVidia Vanta cards
* Tue Mar 20 2001 - adrian@suse.de
- enable -O2 for ppc
* Tue Mar 20 2001 - adrian@suse.de
- update to 2.1.1 (official tar ball)
* Tue Mar 20 2001 - adrian@suse.de
- add feature to kicker (SuSE menu as main menu now possible)
* Mon Mar 19 2001 - adrian@suse.de
- fix patches again :-(
* Sun Mar 18 2001 - adrian@suse.de
- fix patches
* Sat Mar 17 2001 - adrian@suse.de
- update to current 2_1_BRANCH
* Thu Mar 15 2001 - ro@suse.de
- changed neededforbuild <mesaglu> to <xf86glu>
- changed neededforbuild <mesaglu-devel> to <xf86glu-devel>
* Thu Mar 15 2001 - ro@suse.de
- fixed neededforbuild for openldap
* Tue Mar 13 2001 - ro@suse.de
- removed second occurence of docbk30 from neededforbuild
* Tue Mar 13 2001 - ro@suse.de
- changed neededforbuild <docbk30> to <docbook_3>
* Wed Mar 07 2001 - ro@suse.de
- changed neededforbuild <mesadev> to <mesa-devel>
* Wed Feb 28 2001 - schwab@suse.de
- kcontrol: Use getpagesize() to determine page size.
* Tue Feb 27 2001 - ro@suse.de
- changed neededforbuild <cyrus-sasl> to <cyrus-sasl cyrus-sasl-devel>
* Wed Feb 21 2001 - adrian@suse.de
- update to final 2.1.0
* Mon Feb 19 2001 - adrian@suse.de
- update to 2.1 post beta 2
* Wed Jan 24 2001 - adrian@suse.de
- fix konsole for non iso8859-1
  add Mozilla to desktop, if Netscape is not installed
  make SuSEconfig.kdm2 output nicer
  a little bit heigher welcome screen
* Mon Jan 22 2001 - adrian@suse.de
- fix maximize button in SuSE decoration
* Mon Jan 22 2001 - adrian@suse.de
- set nr of mixer in kcontrol to 1 bye default, this fix the
  error lines in xconsole
- fix not translated icons on desktop
* Wed Jan 17 2001 - adrian@suse.de
- changed kcheckpass to setgroudid shadow instead of setuserid root
  add kinternet call to startkde
  fixed web font sizes
  fixed kde menu icons
  fixed non iso-8859-1 language support
* Wed Jan 17 2001 - adrian@suse.de
- fix locolor config for standard user and root user settings
* Mon Jan 15 2001 - adrian@suse.de
- fix info service
* Mon Jan 15 2001 - adrian@suse.de
- fix welcome page size for resolutions>1152
  switch to small desktop font, which looks better
  fix czech trash bin name on desktop
  update logo on desktop
* Sun Jan 14 2001 - adrian@suse.de
- fix hang in SuSEconfig.kdm2, when REAL_LANG is empty
* Sat Jan 13 2001 - adrian@suse.de
- fix fallback icon for applications in kicker
  fix welcome page start (does not start anymore in second login)
  fix SuSE decoration close function from menu
* Fri Jan 12 2001 - adrian@suse.de
- new tar ball from KDE_2_0_BRANCH (fix ksysguard bug)
  change kcontrol root button label
  a little work on the logo
  fix rc.config template
  fix $LANG problem in welcome page startup
* Thu Jan 11 2001 - adrian@suse.de
- changed logo
  changed inactive text color in window header
* Thu Jan 11 2001 - adrian@suse.de
- delete debug lines in SuSEconfig.kdm2 (cause a hang)
* Wed Jan 10 2001 - adrian@suse.de
- fix SuSEconfig.kdm2 for czech people
  workaround KDE bug in charset selection via script
  fix startkde function for suppress double desktop icons
* Tue Jan 09 2001 - adrian@suse.de
- fix welcome page start
  fix bg colors. 220,220,220 again.
  added security fix for kdesud from Waldo
* Sun Jan 07 2001 - adrian@suse.de
- fix update problems due to changed icon handling
* Sun Jan 07 2001 - adrian@suse.de
- change icon handling
* Thu Jan 04 2001 - adrian@suse.de
- changes in SuSE theme
  workaround slow mouse acceleration from XFree 4
  added fix for stolen focus in kdm (Thanks Waldo)
  fix ktip start on every KDE start
  do not set $LANG new anymore, since kdelibs are fixed
  new tar ball with Kernel 2.4 fix in ksysguard (Thanks Chris)
* Tue Jan 02 2001 - adrian@suse.de
- font handling fix for AA (thanks Kurt)
* Mon Jan 01 2001 - adrian@suse.de
- add kdm resize patch for little resolutions
  fix SuSEconfig.kdm2 for languages with no defined charsets
  set $LANG for KDE 2 in startkde (for a desktop with native language)
* Sat Dec 30 2000 - adrian@suse.de
- fixed two .desktop files for kcontrol
  minor fix in startkde
  new version of SuSE decoration
* Fri Dec 22 2000 - adrian@suse.de
- switch off the X11 resource manager by default
  set TERM=kvt for konsole (several Keys like Pos1 are working now)
  minor fix in startkde
* Wed Dec 20 2000 - adrian@suse.de
- fix SuSEconfig.kdm2 for non iso-8859-1
  added option to disable SuSE theme
  added --SuSE function to ksplash
  added kdm sec patch from waldo
* Mon Dec 18 2000 - adrian@suse.de
- make symbol labels nicer
  do not show double icons
  added rc.config entrys for kdm
* Sun Dec 10 2000 - adrian@suse.de
- extend startkde for dvd and cdrecorder
  added logo background mode
  changed kicker configuration
  fixed line up function for icons on root window
  enabled Mesa support again
* Sat Dec 09 2000 - adrian@suse.de
- fixing startkde and working on the SuSE theme
* Wed Dec 06 2000 - adrian@suse.de
- fixed kde link
* Wed Nov 29 2000 - adrian@suse.de
- update to 2.0.1
* Tue Nov 21 2000 - ro@suse.de
- switch to openmotif
* Tue Nov 21 2000 - adrian@suse.de
- moved non kde icon support to kdelibs
  added drive icon creation to startkde
* Fri Nov 17 2000 - adrian@suse.de
- fixed kdm
* Fri Nov 17 2000 - ro@suse.de
- fixed neededforbuild: += libmng-devel
* Thu Nov 16 2000 - adrian@suse.de
- update to newer snapshot from KDE_2_0_BRANCH
* Fri Nov 03 2000 - adrian@suse.de
- fixed needed for build
* Thu Nov 02 2000 - adrian@suse.de
- fixed file list
* Tue Oct 17 2000 - adrian@suse.de
- update to 2.0.0
- added SuSE decoration
- splitted package into
  * kdebase
  * kdebase-devel
* Tue Sep 12 2000 - adrian@suse.de
- update to RC 1
* Mon Aug 21 2000 - adrian@suse.de
- update to beta 4 / 1.93
* Mon Jul 31 2000 - adrian@suse.de
- added workaround for localized startup
  (KDE2 can not handle aliases)
* Mon Jul 24 2000 - adrian@suse.de
- update to second try of beta 3
* Fri Jul 21 2000 - adrian@suse.de
- update to beta 3
* Mon Jul 17 2000 - adrian@suse.de
- update to snapshot from 17.07.2000
* Thu Jul 13 2000 - adrian@suse.de
- fixed really the filelist
* Wed Jul 12 2000 - adrian@suse.de
- fixed filelist and fix for older distris
* Mon Jul 10 2000 - adrian@suse.de
- fix start script
* Mon Jul 10 2000 - adrian@suse.de
- update to snapshot from 06.07.2000
* Sun Jun 11 2000 - adrian@suse.de
- added netscape plugin support
* Fri Jun 09 2000 - adrian@suse.de
- added workarounds in startkde
* Fri Jun 09 2000 - adrian@suse.de
- update to 1.91; beta 2
* Sun May 28 2000 - adrian@suse.de
- snapshot from 28.05.2000
  new type of spec file
* Fri May 12 2000 - adrian@suse.de
- update to 1.90
* Thu Apr 27 2000 - adrian@suse.de
- snapshot from 25.04.2000
* Wed Apr 19 2000 - adrian@suse.de
- snapshot from 17.04.2000
* Fri Mar 31 2000 - adrian@suse.de
- the first KDE 2 snapshot. still PRE 1.90
